-- MySQL dump 10.13  Distrib 8.0.36, for Linux (x86_64)
--
-- Host: localhost    Database: zantrixt_savera_restaurantpos
-- ------------------------------------------------------
-- Server version	8.0.36

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `cash_books`
--

DROP TABLE IF EXISTS `cash_books`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cash_books` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `opening_amount` decimal(10,2) NOT NULL DEFAULT '0.00',
  `closed` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cash_books_user_id_foreign` (`user_id`),
  CONSTRAINT `cash_books_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cash_books`
--

LOCK TABLES `cash_books` WRITE;
/*!40000 ALTER TABLE `cash_books` DISABLE KEYS */;
INSERT INTO `cash_books` VALUES (1,'9be3a683-2942-4973-8b16-41cc8de5ed44',4,0.00,0,'2024-04-25 07:48:54','2024-04-25 07:48:54'),(2,'9be43858-8a17-4a4c-b4e3-5d55a81c407a',8,0.00,0,'2024-04-25 14:36:41','2024-04-25 14:36:41');
/*!40000 ALTER TABLE `cash_books` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customers`
--

DROP TABLE IF EXISTS `customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `customers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `shipping_addresses` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=156 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customers`
--

LOCK TABLES `customers` WRITE;
/*!40000 ALTER TABLE `customers` DISABLE KEYS */;
INSERT INTO `customers` VALUES (145,'9c2ee5f8-6ea3-482a-b916-58bf6cb68f14','savio',NULL,NULL,NULL,'2024-06-01 17:33:26','2024-06-01 19:58:22','[]'),(146,'9c2eeddb-3907-4a30-8e68-1db6e7bff327','WG',NULL,NULL,NULL,'2024-06-01 17:55:29','2024-06-01 17:55:29','[]'),(147,'9c2eef6b-badb-4f0e-b7e3-d1050fbbf775','Savio&Julia',NULL,NULL,NULL,'2024-06-01 17:59:52','2024-06-01 17:59:52','[]'),(148,'9c2f1a5c-3c98-43d4-bfda-7fb7b2accf40','savio',NULL,NULL,NULL,'2024-06-01 19:59:56','2024-06-01 20:00:31','[]'),(149,'9c2f1df2-4786-4b7e-aa3b-83967fca2e63','Mahmoud',NULL,NULL,NULL,'2024-06-01 20:09:58','2024-06-01 20:09:58','[]'),(150,'9c2f29a0-2571-4ce0-8d5d-1ecb8afd2fd9','Klaudie&Eric',NULL,NULL,NULL,'2024-06-01 20:42:37','2024-06-01 20:42:37','[]'),(151,'9c2f38fc-021c-437c-a3af-e1e3724a6b98','Klaudia&Eric',NULL,NULL,NULL,'2024-06-01 21:25:34','2024-06-01 21:25:34','[]'),(152,'9c2f3fa6-8d1e-4139-932f-d08d965ca906','Klaudia&Eric',NULL,NULL,NULL,'2024-06-01 21:44:12','2024-06-01 21:44:12','[]'),(153,'9c2f4112-193f-491d-a715-7cdce917d636','Klaudia&Eric',NULL,NULL,NULL,'2024-06-01 21:48:11','2024-06-01 21:48:11','[]');
/*!40000 ALTER TABLE `customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `expense_types`
--

DROP TABLE IF EXISTS `expense_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `expense_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `expense_types`
--

LOCK TABLES `expense_types` WRITE;
/*!40000 ALTER TABLE `expense_types` DISABLE KEYS */;
INSERT INTO `expense_types` VALUES (4,'Kitchen expense','2024-04-25 07:45:33','2024-04-25 07:45:33'),(5,'Human resource expense','2024-04-25 07:45:33','2024-04-25 07:45:33'),(6,'Other expense','2024-04-25 07:45:33','2024-04-25 07:45:33');
/*!40000 ALTER TABLE `expense_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `expenses`
--

DROP TABLE IF EXISTS `expenses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `expenses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` double(8,2) NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `expense_type_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `expense_date` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `expenses_expense_type_id_foreign` (`expense_type_id`),
  CONSTRAINT `expenses_expense_type_id_foreign` FOREIGN KEY (`expense_type_id`) REFERENCES `expense_types` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `expenses`
--

LOCK TABLES `expenses` WRITE;
/*!40000 ALTER TABLE `expenses` DISABLE KEYS */;
/*!40000 ALTER TABLE `expenses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `food_categories`
--

DROP TABLE IF EXISTS `food_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `food_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `food_categories`
--

LOCK TABLES `food_categories` WRITE;
/*!40000 ALTER TABLE `food_categories` DISABLE KEYS */;
INSERT INTO `food_categories` VALUES (45,'Ice-cream Shakes',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(46,'Milkshakes',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(47,'Soup',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(48,'Beers and Ciders',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(49,'Sparkling and Champagne',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(50,'White Wine',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(51,'Whisky and Bourbon',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(52,'Shots',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(53,'Juices and Shakes',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(54,'Lemonades',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(55,'Drinks: Cold and Hot',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(56,'Classic Cocktails',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(57,'Savera Cocktails',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(58,'Appetizers and Starters',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(59,'Main Dishes',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(60,'Dessert',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(61,'Red Wine',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31');
/*!40000 ALTER TABLE `food_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `food_items`
--

DROP TABLE IF EXISTS `food_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `food_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sku` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` double(8,2) NOT NULL DEFAULT '1.00',
  `cost` double(8,2) NOT NULL DEFAULT '0.00',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `food_category_id` bigint unsigned NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_bar_type` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `food_items_food_category_id_foreign` (`food_category_id`),
  CONSTRAINT `food_items_food_category_id_foreign` FOREIGN KEY (`food_category_id`) REFERENCES `food_categories` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1408 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `food_items`
--

LOCK TABLES `food_items` WRITE;
/*!40000 ALTER TABLE `food_items` DISABLE KEYS */;
INSERT INTO `food_items` VALUES (1076,'9be4c566-ec39-425a-a4a5-58f9ac13f1e0','COR-477129','Corona Beer',12000.00,1.00,NULL,48,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1077,'9be4c566-edb7-4c9a-835f-4109d298c693','SAV-242624','Savanna Cider',12000.00,1.00,NULL,48,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1078,'9be4c566-eefa-45d8-acbb-aadf853c020a','SEC-217451','Secret Rose Glass',15000.00,1.00,NULL,49,'null','2024-04-25 21:11:07','2024-05-01 15:28:47',1),(1079,'9be4c566-f00f-4f13-bafe-12292c359fd9','PRO-841664','Prosecco Glera Glass',15000.00,1.00,NULL,49,'null','2024-04-25 21:11:07','2024-05-01 15:27:28',1),(1080,'9be4c566-f14b-4f5d-a604-2fda2b1be1ae','MOZ-227247','Mozzarella Cheese Sticks',18000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1081,'9be4c566-f2b1-46e7-a0ba-32cfdc03492f','URO-115911','Urojo Soup',17000.00,1.00,NULL,58,'null','2024-04-25 21:11:07','2024-05-01 12:52:39',0),(1082,'9be4c566-f40e-464c-b4ff-b62b69722720','FIS-490250','Fish Cakes',20000.00,1.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1084,'9be4c566-f652-4750-bb4c-596e6e7d769c','VEG-317757','Vegetable Stir-fry',20000.00,0.00,NULL,59,'Noodles','2024-04-25 21:11:07','2024-05-01 12:55:14',0),(1085,'9be4c566-f784-49e9-896e-ad8908df82fd','LAM-552777','Lamp Chops with Potato Puree',45000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1086,'9be4c566-f8a3-467e-8284-cd3aaa11865f','MOU-755491','Moutabal - Eggplant Dip',15000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-05-01 12:53:17',0),(1087,'9be4c566-f9b9-4239-a69a-3bde705947f9','ZAN-729846','Zanzibari Vegetable Coconut Curry',25000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1088,'9be4c566-fad8-4752-ac2f-d6ed522cf2ba','BEE-147703','Beef Meat Goulash',30000.00,0.02,NULL,59,'null','2024-04-25 21:11:07','2024-05-01 12:55:40',0),(1090,'9be4c566-fd0c-495c-a3eb-1e439023b02c','CHI-871104','Chicken Skewers',30000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1091,'9be4c566-fe30-4514-a44c-b35e1a17168e','PIN-497717','Pineapple Flambe with Ice-cream',15000.00,0.00,NULL,60,'null','2024-04-25 21:11:07','2024-05-01 16:27:59',0),(1092,'9be4c566-ff7d-49cb-b346-0637634f49c6','CHO-582471','Chocolate Lava Cake with Ice-cream',20000.00,0.00,NULL,60,'null','2024-04-25 21:11:07','2024-06-01 18:16:20',0),(1093,'9be4c567-0128-430d-82c4-a7cf0fd02f51','BRU-711044','Brut Blanc de Blancs',95000.00,0.00,NULL,49,'Laborie Cap Classique - South Africa','2024-04-25 21:11:07','2024-05-01 13:18:28',1),(1094,'9be4c567-02cf-4b1d-a08e-8cc187175f31','SAU-174145','Sauvignon blanc by glass',13000.00,0.00,NULL,50,'False bay','2024-04-25 21:11:07','2024-05-01 13:19:12',1),(1095,'9be4c567-0494-4cb0-b8d6-a1c194d375ae','SAU-751854','Sauvignon blanc  Arcadian',13000.00,0.00,NULL,50,'null','2024-04-25 21:11:07','2024-05-01 13:19:47',1),(1096,'9be4c567-0630-4797-94bf-357fd646841c','TOR-192115','Torrontes Santa Julia',75000.00,0.00,NULL,50,'Bottle','2024-04-25 21:11:07','2024-05-01 13:27:02',1),(1097,'9be4c567-07ec-47e3-bb80-8b7156c5565d','PIN-755156','Pinot Grigio Emotivo',80000.00,0.00,NULL,50,'Bottle','2024-04-25 21:11:07','2024-05-01 13:27:36',1),(1098,'9be4c567-092e-455a-9663-4cb11093f980','SAU-575851','Sauvignon blanc  Circumstance',125000.00,0.00,NULL,50,'Bottle','2024-04-25 21:11:07','2024-05-01 13:20:52',1),(1099,'9be4c567-0a60-4273-80a3-d4adf4bfd753','PIN-739111','Pinotage/Shirza Spier Glass',13000.00,0.00,NULL,61,'By Glass','2024-04-25 21:11:07','2024-05-01 13:28:29',1),(1100,'9be4c567-0b80-4d2d-9d74-44e31eed00b2','MER-855369','Merlot Arcadian Glass',13000.00,0.00,NULL,61,'null','2024-04-25 21:11:07','2024-05-01 13:29:46',1),(1101,'9be4c567-0d2e-4113-9a8c-ff3fa68695e4','MAL-171551','Malbec Santa Julia bottle',75000.00,0.00,NULL,61,'null','2024-04-25 21:11:07','2024-05-01 13:30:57',1),(1102,'9be4c567-113b-4436-96f2-d8ff2d12f569','CAB-188155','Cabernet Sauvignon Spier',80000.00,0.00,NULL,61,'Bottle','2024-04-25 21:11:07','2024-05-01 13:21:26',1),(1103,'9be4c567-12a1-424c-b084-2c1cf8f1a28b','J&B-287057','J&B Whisky',10000.00,0.00,NULL,51,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1104,'9be4c567-1425-457a-8e0f-5fa6b2c5ed75','TEA-045788','Teachers Blended Scotch',10000.00,0.00,NULL,51,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1105,'9be4c567-154a-4b3b-ada5-35c48a8d1806','JIM-081705','Jim Beam Bourbon',10000.00,0.00,NULL,51,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1106,'9be4c567-169d-4c89-b2e3-28fb823f87f2','JOH-997223','Johnny Walker Black Label',15000.00,0.00,NULL,51,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1107,'9be4c567-181d-4326-be52-16282464b4f8','BAL-951744','Ballantines',15000.00,0.00,NULL,51,'Blended Scotch','2024-04-25 21:11:07','2024-05-01 13:44:09',1),(1108,'9be4c567-1967-41e9-b362-331f14462670','CHI-290156','Chivas 12 YO',20000.00,0.00,NULL,51,'Blended Scotch','2024-04-25 21:11:07','2024-05-01 13:43:49',1),(1109,'9be4c567-1b36-4d02-b3bf-4bea04b163d3','TEQ-761216','Tequila Camino',10000.00,0.00,NULL,52,'null','2024-04-25 21:11:07','2024-05-01 13:44:59',1),(1110,'9be4c567-1cf6-4f9d-817b-1981373dd7de','RUM-250707','Rum Shipmaster',8000.00,0.00,NULL,52,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1111,'9be4c567-1e9e-4b93-8d39-af494bab6dfc','SMI-643634','Smirnoff Red Vodka',10000.00,0.00,NULL,52,'null','2024-04-25 21:11:07','2024-05-01 13:45:33',1),(1112,'9be4c567-1fe6-467d-8640-7427a33385db','GRE-279901','Grey Goose Vodka',12000.00,0.00,NULL,52,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1113,'9be4c567-20f8-4089-8d5a-2db54b4b802c','BAC-411171','Bacardi Carta Negra',10000.00,0.00,NULL,52,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1114,'9be4c567-2203-4e66-a801-f96d6cad0061','AMA-157707','Amarula',10000.00,0.00,NULL,52,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1115,'9be4c567-2333-4840-8c43-3f63be4dcddf','KWV-544916','KWV 5 yo Brandy',10000.00,0.00,NULL,52,'null','2024-04-25 21:11:07','2024-05-01 13:47:29',1),(1116,'9be4c567-24b4-424b-9a73-cfb240a8f9fb','FRE-128015','Fresh Juice',9000.00,0.00,NULL,53,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1117,'9be4c567-25d8-4987-8f64-6a9c3557a6b7','TIK-122255','Tikiti Maji',11000.00,0.00,NULL,53,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1118,'9be4c567-26f6-4020-a1e3-82a1554a10f1','UBU-177250','Ubuyu',11000.00,0.00,NULL,53,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1119,'9be4c567-2891-4b7a-ba1f-19f3a3c180ee','NAN-275178','Nanasi',11000.00,0.00,NULL,53,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1120,'9be4c567-2a24-4263-a490-582cbb806e54','MOR-206316','Moringa',12000.00,0.00,NULL,46,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1121,'9be4c567-2b86-4aec-9d3e-df6d102d3dc8','KAR-677636','Karanga',12000.00,0.00,NULL,46,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1122,'9be4c567-2cda-4ae6-aca4-378d3c2f9e07','COC-164437','Cocoa',12000.00,0.00,NULL,46,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1123,'9be4c567-2e24-45e1-be86-25efce311bcd','EMB-074734','Embe',13000.00,0.00,NULL,46,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1124,'9be4c567-2fbb-4481-96a1-6af54e418ef1','CHO-717615','Choco',13000.00,0.00,NULL,46,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1125,'9be4c567-3129-4109-b694-b7b14416ae4b','LEM-617206','Lemonades',8000.00,0.00,NULL,54,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1126,'9be4c567-328d-417f-85e7-9d7b65d9ca06','FRE-626014','Fresh Coconut',5000.00,0.00,NULL,54,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1127,'9be4c567-33f4-40a9-ad84-0ae28d878cef','DRI-278342','Drinking Water 1.5L',3000.00,0.00,NULL,55,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1129,'9be4c567-3661-4c83-8f8f-52ef4e7dcf9e','HOM-799117','Homemade Ginger Tea',5000.00,0.01,NULL,55,'null','2024-04-25 21:11:07','2024-05-01 16:03:11',1),(1130,'9be4c567-3797-4bb7-beff-c4f6a6016698','ASS-741541','Assorted Tea',5000.00,0.00,NULL,55,'null','2024-04-25 21:11:07','2024-05-01 16:04:05',1),(1131,'9be4c567-38bc-4c25-81e4-82aadfc810eb','COF-811586','Coffee - French Press',8000.00,0.00,NULL,55,'null','2024-04-25 21:11:07','2024-05-01 13:53:58',1),(1132,'9be4c567-39eb-40ef-9102-715d861fd3a3','MOJ-164567','Mojito',15000.00,0.00,NULL,56,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1134,'9be4c567-3cd7-4d3a-aa28-c14d205d69f8','CUB-112711','Cuba Libre',15000.00,0.00,NULL,56,'null','2024-04-25 21:11:07','2024-05-01 16:05:28',1),(1135,'9be4c567-3dff-4243-af02-dcf2f1bc60f3','GIN-480147','Gin Tonic',15000.00,0.00,NULL,56,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1136,'9be4c567-3f65-439c-9d01-7b67018f7784','PAS-677047','Passion Daiquiri',15000.00,0.00,NULL,56,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1137,'9be4c567-40a6-456e-bbbf-79a048a1620b','PIN-076607','Pina Colada',15000.00,0.00,NULL,56,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1138,'9be4c567-41be-42ab-9a98-cf0deb341118','SAV-001084','Savera Green',15000.00,0.00,NULL,56,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1139,'9be4c567-42cf-42e8-9a01-fdf49eec036c','MAR-407448','Margarita',15000.00,0.00,NULL,56,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1140,'9be4c567-43fc-4db1-9b1e-d73ada368401','ESP-199951','Espresso Martini',15000.00,0.00,NULL,56,'null','2024-04-25 21:11:07','2024-05-01 13:39:37',1),(1141,'9be4c567-4521-4300-aaea-705b3ce20d27','LON-717404','Long Island Ice Tea',25000.00,0.00,NULL,56,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1142,'9be4c567-4649-4140-be79-9ca651f17980','DAW-701671','Dawa - The Medicine',15000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1143,'9be4c567-4769-46ae-abc9-db08bbe88f90','VOD-204576','Vodkatini',15000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1144,'9be4c567-489f-45c8-8faf-f5142dd09611','TIN-211620','Tinga Tinga',15000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1145,'9be4c567-4a24-409a-a1bb-84b2a429fd13','ONJ-043436','Onja Chungu',15000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1146,'9be4c567-4b95-415c-998b-ed49354cbd14','POA-517747','Poa Freshi',15000.00,0.00,NULL,57,'null','2024-04-25 21:11:07','2024-05-01 13:41:12',1),(1147,'9be4c567-4cd4-446b-8ae0-4d69c4092eb5','LOK-717467','Lokaaaal',15000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1148,'9be4c567-4e2b-449a-9c4b-d826d2897bf6','SHA-100741','Shagala Bagala',15000.00,0.00,NULL,57,'null','2024-04-25 21:11:07','2024-05-01 13:41:50',1),(1149,'9be4c567-4f95-43fb-ac16-76f4ece47b4f','TEQ-540756','Teqroni',25000.00,0.00,NULL,57,'null','2024-04-25 21:11:07','2024-05-01 13:42:10',1),(1150,'9be4c567-50e2-4e45-9ae2-99d2ace588bd','APE-467712','Aperol Spritz',20000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1151,'9be4c567-5201-4146-96a0-e6eb1f6b16e2','POL-261407','Pole Pole',20000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1152,'9be4c567-531e-41cb-8993-9c624c66eb80','LAL-044472','Lala Salama',15000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1153,'9be4c567-5433-4d43-b873-a3e60a871783','BLA-140171','Black Mamba',20000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1154,'9be4c567-5568-4e70-aa00-535b95d5e699','TEQ-974257','Tequila Sunrise',20000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1155,'9be4c567-5687-4872-8dd6-f8c7b179933a','TEX-627430','Texas Tea',25000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1156,'9be4c567-57bf-4c31-bacb-54af45c08740','SAN-762246','Sangria',15000.00,0.00,NULL,57,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',1),(1159,'9be4c567-5b64-4500-ad08-fa714c5bb8d2','MAN-281285','Mango and Avocado Salad',18000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1161,'9be4c567-5dd8-483d-a0b2-e7bb05458c65','CLE-111748','Clear Seafood Soup',20000.00,0.00,NULL,47,'null','2024-04-25 21:11:07','2024-04-30 20:26:51',0),(1162,'9be4c567-5f09-4fda-a5d1-ca8a689116ce','SEA-514579','Seared Tun',38000.00,0.00,NULL,59,'Yellow fin sesame seared tuna','2024-04-25 21:11:07','2024-05-01 10:42:56',0),(1166,'9be4c567-65a6-43e0-8f9d-70b8baae0640','CHI-714744','Chicken Schnitzel',30000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-04-30 20:10:49',0),(1167,'9be4c567-6735-410c-901e-fd2f9befc95b','GRI-171694','Grilled Fish in Savera Sauce',35000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-05-01 16:20:44',0),(1170,'9be4c567-6b68-4f3e-9ece-e364baa63e66','BAN-441171','Banana flambee with ice-cream',15000.00,0.00,NULL,60,'null','2024-04-25 21:11:07','2024-05-01 16:28:37',0),(1171,'9be4c567-6ca3-484c-b8d4-987ce3b55d7b','CLU-777415','Club sandwich',22000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1172,'9be4c567-6dd6-4011-8726-3038996f89e5','CAL-780737','Calamari tempura',18000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1173,'9be4c567-6f07-4cff-a745-bc81c928440d','TRO-155311','Tropical bruschetta',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-05-01 11:50:21',0),(1174,'9be4c567-706f-47ba-b93e-71e6ad7639a4','CRE-541124','Creamy pumpkin & potato soup',15000.00,0.00,NULL,47,'null','2024-04-25 21:11:07','2024-04-30 19:40:29',0),(1177,'9be4c567-747c-4cc2-b5b0-647aad271c62','TUN-774017','Tuna poke bowl',30000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-04-29 17:41:47',0),(1179,'9be4c567-76da-4473-9eff-eacc083e86f9','GRI-343194','Grilled fish catch of the day',38000.00,0.00,NULL,59,'served with hand-cut fries and fresh salad','2024-04-25 21:11:07','2024-04-29 17:03:14',0),(1186,'9be4c567-80b8-4cad-a215-0807fcfdb59d','VEG-700817','Vegetable stew',20000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1189,'9be4c567-84cf-475c-9ba6-b1e8165c08af','BEE-373015','Beef skewers',30000.00,0.00,NULL,59,'3 sticks of beef cubes marinated in rosemary, lime & garlic served with hand cut fries and salad.','2024-04-25 21:11:07','2024-04-28 14:24:17',0),(1190,'9be4c567-865b-400f-9ae2-763c4ff05ced','FIS-122333','Fish papillotte',35000.00,0.00,NULL,59,'Baking paper wrapped fish with dill, white wine, butter, red onions, served with cream spinach and spiced rice.','2024-04-25 21:11:07','2024-04-28 14:20:32',0),(1194,'9be4c567-8ddb-4f43-9527-d97608f17d6b','CAE-370307','Caesar Chicken Salad',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-28 14:17:53',0),(1200,'9be4c567-9582-4332-b9f1-081fcf05a008','CAL-833440','Calamari & prawns skewers',45000.00,0.00,NULL,59,'3 skewers of calamari steak cubes & prawns served with mango salsa, chili sauce and hand cut potato fries.','2024-04-25 21:11:07','2024-04-28 14:16:48',0),(1202,'9be4c567-97b1-4399-b65f-749508a9ccd9','GRI-231003','Grilled jumbo prawns',55000.00,0.00,NULL,59,'Jumbo Prawns with lime butter chill sauce','2024-04-25 21:11:07','2024-04-28 14:00:39',0),(1212,'9be4c567-a3eb-4546-a4f5-8901dd02a403','GRI-080841','Grilled lobster',60000.00,0.00,NULL,59,'Grilled Lobster with lime garlic butter sauce served with sauteed vegetables & hand cut potato fries','2024-04-25 21:11:07','2024-04-28 14:13:38',0),(1220,'9be4c567-af94-424e-913b-339353f03451','TUN-627012','Tuna carpaccio',20000.00,0.00,NULL,58,'Tuna carpaccio served with Toast','2024-04-25 21:11:07','2024-04-28 14:10:20',0),(1227,'9be4c567-b82d-4f49-a923-1d5da6bb5c21','TRI-177175','Triple fruit salad w/ice cream',15000.00,0.00,NULL,60,'Triple fruit salad with passion fruit ice cream','2024-04-25 21:11:07','2024-05-01 16:28:52',0),(1235,'9be4c567-c238-4b75-b48e-c9b6b0258d0b','LAM-413014','Lamb chops with mint sauce',45000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-04-28 14:43:29',0),(1237,'9be4c567-c4d1-4d08-8011-9cd5ffa85a12','GRI-646526','Grilled calamari steak',35000.00,0.00,NULL,59,'Grilled calamari steak w/savera sauce served with baby potatoes','2024-04-25 21:11:07','2024-06-01 18:10:36',0),(1248,'9be4c567-d234-4fac-ad4f-a33fea34a1b2','CHI-228754','Chicken sandwich',22000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:35:47',0),(1249,'9be4c567-d366-4f08-bd29-4593bb843e43','PEP-781778','Pepito',18000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1250,'9be4c567-d4a4-4ead-a066-1a8024801d58','GOL-621187','Golden friend calamari',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:13:06',0),(1251,'9be4c567-d5cc-40d2-a910-ab229c790cdc','SEA-201842','Seafood Samosa',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:35:04',0),(1254,'9be4c567-d9d5-46b0-8480-c83f49e727b5','SPI-842271','Spinach Carrot & Pumpkin Soup',15000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 18:04:47',0),(1255,'9be4c567-db08-450f-adca-0fa527ada2ca','GRE-711311','Green Papaya salad',15000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-28 13:56:31',0),(1256,'9be4c567-dc2e-44dc-86cd-e867a5ec1eeb','HUM-572115','Hummus with pita bread',20000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:16:35',0),(1257,'9be4c567-ddd8-4ccd-927b-fa116145f61c','CRE-012952','Cream of Ginger Soup',15000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:03:10',0),(1258,'9be4c567-df47-4d3c-b110-9bec23650c5b','TUN-267947','Tuna ceviche',22000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:08:59',0),(1259,'9be4c567-e06d-4bb0-8112-17bfd219bf26','PRA-008709','Prawns tempura',20000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1260,'9be4c567-e193-4f07-be67-94268d43722d','BEE-022012','Beef samosa',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:08:22',0),(1261,'9be4c567-e2bb-4525-a364-11e96bc9b888','FIS-821662','Fish samosa',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:08:02',0),(1262,'9be4c567-e40a-41c3-a6ad-c153f89efc85','CHI-816487','Chicken samosa',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:07:48',0),(1264,'9be4c567-e672-4b89-8368-f5c758c13719','CRA-072518','Crab noodle soup',15000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1265,'9be4c567-e79e-4283-a106-f8adceaea923','SES-486611','Sesame fish fingers',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:03:58',0),(1268,'9be4c567-eb4f-4615-b4dd-439fe44f2168','MUS-081707','Mushroom cheese toast',15000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1270,'9be4c567-ede6-45fb-a153-4195fc3f03f7','GUA-441612','Guacamole',15000.00,0.00,NULL,58,'Guacamole with chapati','2024-04-25 21:11:07','2024-04-27 17:34:06',0),(1271,'9be4c567-ef16-4b26-80c8-9775d1b38330','GAZ-801680','Gazpacho',18000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1273,'9be4c567-f15e-4869-ba83-10fc4ea08a89','ARA-947517','Arancini di riso',20000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-06-01 18:09:54',0),(1274,'9be4c567-f2a7-49f6-888f-2b7ded540c23','TAP-118169','Tapas',20000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1275,'9be4c567-f400-4848-849d-8a51de8d9ab3','FIS-222474','Fish Clear Soup',15000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:31:28',0),(1278,'9be4c567-f7ad-421e-aa1f-1e79e721006f','WAT-172121','Watermelon mint salad w/Feta',15000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:29:34',0),(1280,'9be4c567-fa39-43f2-9bf0-61bedff77ddf','CHI-658078','Chicken hot soup',18000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1281,'9be4c567-fb8c-4640-b524-9f0699bb9844','GRE-224111','Green salad w/feta',18000.00,0.00,NULL,58,'null','2024-04-25 21:11:07','2024-04-27 17:22:12',0),(1283,'9be4c567-fe61-42a7-b50f-25b9a04de2ea','MIX-118506','Mixed vegetable soup',15000.00,0.00,NULL,58,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1289,'9be4c568-079f-40cc-8d1d-aac4d20b5f8c','PAS-411209','Pasta bolognese w/Spanish chorizo',30000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-04-28 13:55:29',0),(1291,'9be4c568-0a09-4477-828a-cd00cf5293c3','GRI-102740','Grilled white fish',35000.00,0.00,NULL,59,'Grilled white fish in savera sauce served with home made fish stock and coconut pineapple rice.','2024-04-25 21:11:07','2024-04-28 14:03:28',0),(1293,'9be4c568-0c83-4095-9800-06bec2d7bde9','OCT-803640','Octopus Okra coconuty',35000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-04-28 15:04:28',0),(1297,'9be4c568-1293-4517-afc3-f12fa11c3c7e','KIN-123033','King prawns aglio e olio pasta',45000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1301,'9be4c568-1806-4218-b27e-43d999fb6b38','BEE-191649','beef fish burger with chips',30000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-04-29 17:01:02',0),(1303,'9be4c568-1a73-46ff-b82d-b0d0a19c225d','FIS-068751','Fish masala served with rice or chapatti',30000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1304,'9be4c568-1bb1-48bd-9bd6-d6c011ae9110','YEL-111716','Yellow fin tuna tataki',38000.00,0.00,NULL,59,'with rice and vegetables','2024-04-25 21:11:07','2024-05-01 11:21:01',0),(1307,'9be4c568-1f6d-49b1-9d9f-b764da8c5e4f','GRI-521089','Grilled tassi fish with chips and salad',30000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1309,'9be4c568-21dd-4893-b4e8-06a7ae72a0b3','YEL-778318','Yellow fin tuna',38000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1310,'9be4c568-2318-46be-a873-d6ec2999559b','GRI-284475','Grilled King Prawns',40000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-06-01 18:14:02',0),(1311,'9be4c568-244d-4fdb-ab68-9b9599e05be7','GRI-731841','Grilled Ribeye steak',50000.00,0.00,NULL,59,'with Mashed potatoes & Mushroom sauce','2024-04-25 21:11:07','2024-05-01 11:11:23',0),(1312,'9be4c568-258c-48be-a039-96a1694545db','VEG-154544','Vegetable masala',20000.00,0.00,NULL,59,'with chapati or rice','2024-04-25 21:11:07','2024-05-01 10:49:05',0),(1314,'9be4c568-2834-4285-b7f6-93d865f73d7a','STI-400145','Stir fried noodles with Shrimps',30000.00,0.00,NULL,59,'Egg & Glass noodles','2024-04-25 21:11:07','2024-05-01 11:08:42',0),(1315,'9be4c568-298a-4f58-9d4d-844849c4e8a8','SAU-159594','Sautéed Octopus in Garlic butter',30000.00,0.00,NULL,59,'Lime garlic parsley butter sauce with Rosemary potatoes','2024-04-25 21:11:07','2024-05-01 10:51:33',0),(1316,'9be4c568-2aae-4cb3-b7ef-e60a26b9b9ae','LOB-418647','Lobster Thermidor',65000.00,0.00,NULL,59,'with Potato wedges','2024-04-25 21:11:07','2024-05-01 10:30:03',0),(1317,'9be4c568-2bea-415a-a708-c5268f5fc0fe','VEG-575117','Vegetable coconut curry',20000.00,0.00,NULL,59,'Zanzibar vegetable in coconut sauce served with steamed rice','2024-04-25 21:11:07','2024-05-01 10:46:00',0),(1320,'9be4c568-2fca-49b9-a1b9-d8d63c1ebc1f','SEA-177446','Seafood Platter served',220000.00,0.00,NULL,59,'with Chips and Salad','2024-04-25 21:11:07','2024-05-01 16:06:57',0),(1322,'9be4c568-3261-456d-9ad4-4e31afa714c1','CHI-104347','Chicken Pilau',25000.00,0.00,NULL,59,'with Kachumbari salad','2024-04-25 21:11:07','2024-04-29 18:08:24',0),(1324,'9be4c568-34df-4317-8e7d-3ee216cff721','BEE-303716','Beef lasagna',30000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1325,'9be4c568-362a-4498-b54b-c1fe99a100fb','SEA-144011','Seafood Ravioli',40000.00,0.00,NULL,59,'in spinach cream sauce or Pomodoro sauce','2024-04-25 21:11:07','2024-04-29 17:55:18',0),(1328,'9be4c568-39e7-4388-9985-35689744168d','GRI-688537','Grilled Rump steak',50000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:07','2024-04-25 21:11:07',0),(1330,'9be4c568-3cb0-4768-b4bd-a12cc98b6ae0','SPI-406040','Spinach & beans stew w/cumin rice',20000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-04-29 17:40:05',0),(1333,'9be4c568-402e-49a1-9f93-03432eed8597','OCT-710436','Octopus Pesto pasta',35000.00,0.00,NULL,59,'null','2024-04-25 21:11:07','2024-04-29 17:35:16',0),(1336,'9be4c568-4496-4592-adad-0d411f4809e5','RIS-014971','Risotto di mare',40000.00,0.00,NULL,59,'White wine, cream sauce with octopus, Calamari & white fish','2024-04-25 21:11:07','2024-04-29 17:30:29',0),(1348,'9be4c568-5952-46d8-b88d-aa5c0ba6e422','BEE-112815','Beef or chicken Masala',30000.00,0.00,NULL,59,'with Steamed rice','2024-04-25 21:11:07','2024-05-01 11:14:42',0),(1349,'9be4c568-5a9d-4608-81b2-d24e4aa54128','SER-443394','Serengeti Lager',10000.00,0.00,NULL,48,'null','2024-04-25 21:11:07','2024-05-01 13:13:59',1),(1350,'9be4c568-5be6-4110-8edd-b4c5a3d537dc','SER-588455','Serengeti Lite',10000.00,0.00,NULL,48,'null','2024-04-25 21:11:07','2024-05-01 13:15:09',1),(1351,'9be4c568-5d51-4f01-b34e-b6f11327a35d','KIL-457641','Kilimanjaro',10000.00,0.00,NULL,48,'null','2024-04-25 21:11:07','2024-05-01 13:14:36',1),(1352,'9be4c568-5e86-455d-9676-66154817160a','SAF-717551','Safari',10000.00,0.00,NULL,48,'null','2024-04-25 21:11:08','2024-05-01 13:14:55',1),(1353,'9be4c568-5fcf-49b5-a9c7-6d214e6bbb59','CAS-229297','Castle Lite',8000.00,0.00,NULL,48,NULL,'2024-04-25 21:11:08','2024-04-25 21:11:08',1),(1354,'9be4c568-6128-4283-be44-dd387741689f','SAU-155711','Sauvignon blanc - False Bay Bottle',60000.00,0.00,NULL,50,'Bottle','2024-04-25 21:11:08','2024-05-01 13:22:01',1),(1355,'9be4c568-6267-4d19-8cec-cce11f6c7432','CHI-676749','Chicken Tikka',40000.00,0.00,NULL,59,NULL,'2024-04-25 21:11:08','2024-04-25 21:11:08',0),(1356,'9bf00e84-ed59-477b-8535-80a3ba163d82','OCT-785304','Octopus Carpaccio',22000.00,1.00,NULL,58,'undefined','2024-05-01 11:49:40','2024-05-01 11:49:40',0),(1357,'9bf00f15-bb66-4eda-a674-faa19160198e','SHR-714715','Shrimps Red curry',30000.00,1.00,NULL,59,'Served with steamed rice','2024-05-01 11:51:15','2024-05-01 11:51:15',0),(1358,'9bf00f85-1262-4ec4-94b1-a62cf995e7f4','GRI-374458','Grilled beef fillet',45000.00,1.00,NULL,59,'Served with garlic parsley potatoes and butter sauteed vegetables.','2024-05-01 11:52:28','2024-05-01 11:52:28',0),(1359,'9bf00fe0-73e5-436a-bc7b-33f36ed59199','CHI-510508','Chickpeas Tagine',20000.00,1.00,NULL,59,'Pot stew made from base of tomato & onion cooked with chick peas served with cumin rice','2024-05-01 11:53:28','2024-05-01 11:53:28',0),(1360,'9bf01054-8e78-4d9f-9f9f-9de4944b56e2','POT-431165','Potato Croquettes',15000.00,1.00,NULL,58,'served with sweet chili sauce','2024-05-01 11:54:44','2024-05-01 11:54:44',0),(1361,'9bf01137-0475-4dcf-acbb-eff36901cfa6','SEA-152353','Seafood pasta',45000.00,1.00,NULL,59,'mixed seafood with cream sauce or pomodoro sauce served with Parmesan Cheese','2024-05-01 11:57:12','2024-05-01 11:57:12',0),(1362,'9bf0119e-1a2a-448c-a853-686f03cb887a','GRI-157145','Grilled octopus',35000.00,1.00,NULL,59,'with sweet potato & pumpkin puree','2024-05-01 11:58:20','2024-05-01 11:58:20',0),(1363,'9bf012a5-f390-4eb3-a4f8-6f7418a595cc','CHI-714077','Chicken curry',30000.00,1.00,NULL,59,'Chicken curry with coconut rice','2024-05-01 12:01:13','2024-05-01 12:01:13',0),(1364,'9bf012e3-feed-44f7-a471-bff59a3475e9','TOM-515474','Tom yum goong',20000.00,1.00,NULL,58,'undefined','2024-05-01 12:01:53','2024-05-01 12:01:53',0),(1365,'9bf01730-bfde-482e-ab07-2179a062685f','CHI-483515','Chicken Piccata',38000.00,1.00,NULL,59,'Served with mashed potatoes','2024-05-01 12:13:55','2024-05-01 12:13:55',0),(1366,'9bf026ac-0d7d-4eab-8f5a-1d2c4b91ace3','FIS-347517','Fish Skewers',35000.00,1.00,NULL,59,'Served with Pilau rice & Kachumbari salad','2024-05-01 12:57:12','2024-05-01 12:57:12',0),(1367,'9bf026ed-2f26-4e79-ac17-a44c782613a6','SAV-577547','Savera Seafood rice',45000.00,1.00,NULL,59,'Paella','2024-05-01 12:57:55','2024-05-01 12:57:55',0),(1368,'9bf02887-fef1-4bf7-8662-0512df908669','OCT-457145','Octopus Aglio e olio',35000.00,1.00,NULL,59,'Pasta','2024-05-01 13:02:24','2024-05-01 13:02:24',0),(1369,'9bf02a02-6456-4277-a53c-a7fd696a46c7','TAS-192157','Tassi Makange w/rice',30000.00,1.00,NULL,59,'undefined','2024-05-01 13:06:32','2024-05-01 13:06:32',0),(1370,'9bf02d52-b355-4406-9535-b3d50ffd97ce','SEC-196611','Secret Rose Bottle',65000.00,1.00,NULL,49,'undefined','2024-05-01 13:15:48','2024-05-01 16:11:46',1),(1371,'9bf02d9e-d892-4b4a-a6a4-b119e7561d5f','PRO-376366','Prosecco Glera Bottle',65000.00,1.00,NULL,49,'undefined','2024-05-01 13:16:38','2024-05-01 15:30:13',1),(1372,'9bf02e1e-0dc4-41a5-ae90-51fcabf9ef6a','MOE-469757','Moet & Chandon Ice',300000.00,1.00,NULL,49,'undefined','2024-05-01 13:18:01','2024-05-01 16:12:11',1),(1373,'9bf030e1-a7fd-4dda-ac76-108833e0f597','CUV-579797','Cuvee Sabourin by glass',13000.00,1.00,NULL,50,'Sauvignon Blanc','2024-05-01 13:25:45','2024-05-01 16:12:37',1),(1374,'9bf03115-6b57-4624-ad32-ee7bd7b871d5','CUV-693111','Cuvee Sabourin bottle',60000.00,1.00,NULL,50,'Bottle','2024-05-01 13:26:19','2024-05-01 16:12:53',1),(1375,'9bf0321d-3266-408c-9d9f-89d21973a01b','PIN-915671','Pinotage/Shiraz Bottle',60000.00,1.00,NULL,61,'undefined','2024-05-01 13:29:12','2024-05-01 16:13:07',1),(1376,'9bf03284-1a65-4b43-acda-99f36bd094bb','MER-997911','Merlot Arcadian Bottle',60000.00,1.00,NULL,61,'By Bottle','2024-05-01 13:30:19','2024-05-01 16:13:19',1),(1377,'9bf03549-b496-4c1c-b2d3-248c78ad643c','CAI-751064','Caipirinha',15000.00,1.00,NULL,56,'undefined','2024-05-01 13:38:04','2024-05-01 16:09:00',1),(1378,'9bf03846-58e8-4e97-a653-545e80b46afb','BAC-609751','Bacardi Carta Blanca',10000.00,1.00,NULL,52,'undefined','2024-05-01 13:46:25','2024-05-01 16:08:29',1),(1379,'9bf03870-2bb1-4ebb-9467-fe6f8ce2b028','TAN-159125','Tanqueray Gin',10000.00,1.00,NULL,52,'undefined','2024-05-01 13:46:53','2024-05-01 16:14:15',1),(1380,'9bf038cd-320f-4181-a58e-9495d9929717','KON-685618','Konyagi local gin',8000.00,1.00,NULL,52,'undefined','2024-05-01 13:47:54','2024-05-01 16:08:00',1),(1381,'9bf03973-f57b-4225-a5cf-8fa1c3891753','HIB-148167','Hibiscus with ginger lime',8000.00,1.00,NULL,54,'undefined','2024-05-01 13:49:43','2024-05-01 16:07:41',1),(1382,'9bf039a1-e241-41a5-b925-2925a7577719','CLA-135292','Classic Lime',8000.00,1.00,NULL,54,'undefined','2024-05-01 13:50:13','2024-05-01 16:15:24',1),(1383,'9bf03a06-ea49-4b09-a6c0-3ce95c4dcf8b','COC-168441','Coca cola',4000.00,1.00,NULL,55,'undefined','2024-05-01 13:51:19','2024-05-01 16:07:22',1),(1384,'9bf03a28-7644-44d0-9927-7b195bae1f23','FAN-114956','Fanta',4000.00,1.00,NULL,55,'undefined','2024-05-01 13:51:41','2024-05-01 16:15:51',1),(1385,'9bf03a68-d490-4a0e-8d16-93e479be80ff','STO-156131','Stoney Tangawizi',4000.00,1.00,NULL,55,'undefined','2024-05-01 13:52:24','2024-05-01 16:16:05',1),(1386,'9bf03a7f-62d0-469a-a88b-cb3a036493ec','SOD-455164','Soda water',4000.00,1.00,NULL,55,'undefined','2024-05-01 13:52:38','2024-05-01 16:03:33',1),(1387,'9bf03ab4-c840-44d4-afa6-2d4e1683f5ad','ICE-547151','Iced coffee',8000.00,1.00,NULL,55,'undefined','2024-05-01 13:53:13','2024-05-01 16:16:31',1),(1388,'9bf03ad5-f725-499b-aecf-490cb8f64719','ICE-991157','Iced coffee with amarula',14000.00,1.00,NULL,55,'undefined','2024-05-01 13:53:35','2024-05-01 16:16:53',1),(1389,'9bf03b76-ec27-403d-9aad-ef64b8458a15','RUM-796641','Rum punch',25000.00,1.00,NULL,56,'undefined','2024-05-01 13:55:21','2024-05-01 16:17:34',1),(1390,'9bf03b93-7e41-407c-9fe1-8ff20f6e1f45','MAN-975566','Manhattan',25000.00,1.00,NULL,56,'undefined','2024-05-01 13:55:39','2024-05-01 16:18:06',1),(1391,'9bf03c05-1444-42cd-8ed0-c02acb2355bf','BBQ-411046','BBQ Chicken wings',20000.00,1.00,NULL,58,'undefined','2024-05-01 13:56:54','2024-05-01 13:56:54',0),(1392,'9bf03c47-8aa2-4c81-88da-33a87e06f473','VEG-601171','Vegetable samosa',15000.00,1.00,NULL,58,'undefined','2024-05-01 13:57:37','2024-05-01 13:57:37',0),(1393,'9bf03c6f-77e4-4d22-8d3e-cc08cb710798','FIS-061643','Fish Sandwich',22000.00,1.00,NULL,58,'undefined','2024-05-01 13:58:03','2024-05-01 13:58:03',0),(1394,'9bf03cb0-5390-47a7-a221-a336da1281f8','AVO-676751','Avocado Egg Sandwich',18000.00,1.00,NULL,58,'undefined','2024-05-01 13:58:46','2024-05-01 13:58:46',0),(1395,'9bf03d72-b5a2-4157-bfa1-171a8e5e4b5c','SPA-132151','Spaghetti Bolognese',25000.00,1.00,NULL,59,'undefined','2024-05-01 14:00:53','2024-05-01 14:00:53',0),(1396,'9bf03d9c-3a5c-45f6-82c0-d01f9e9884ae','PRA-161151','Prawn pasta al limone',30000.00,1.00,NULL,59,'undefined','2024-05-01 14:01:21','2024-05-01 14:01:21',0),(1397,'9bf03dc5-fff4-4720-87c8-f51f9b4f4bc4','VEG-618033','Vegetable Penne pasta',22000.00,1.00,NULL,59,'undefined','2024-05-01 14:01:48','2024-05-01 14:01:48',0),(1398,'9bf03df4-89ae-4583-8048-1ebad0dea2e4','POT-164331','Potato fries',8000.00,1.00,NULL,58,'undefined','2024-05-01 14:02:18','2024-05-01 14:02:18',0),(1399,'9bf03e10-1022-4baf-8d7f-9042311732d4','POT-131545','Potato Wedges',8000.00,1.00,NULL,58,'undefined','2024-05-01 14:02:36','2024-05-01 14:02:36',0),(1400,'9bf03e2a-8cd1-4358-b9fd-b04caf357910','RIC-114154','Rice',6000.00,1.00,NULL,58,'undefined','2024-05-01 14:02:54','2024-05-01 14:02:54',0),(1401,'9c2ef1d8-802e-4bb1-b026-40f8a3df97a7','HAP-127977','Happy Hour Cocktails',10000.00,1.00,NULL,57,'Discounted Cocktails','2024-06-01 18:06:39','2024-06-01 18:06:39',0),(1402,'9c2ef277-e203-4cd2-bf59-bbff7c3f5e65','CHI-772552','Chicken Cheese Ravioli',15000.00,1.00,NULL,58,'undefined','2024-06-01 18:08:23','2024-06-01 18:12:32',0),(1403,'9c2ef378-2ed8-4604-aedc-70d9e79753fc','SMO-741385','Smoked Chicken Enchiladas',30000.00,1.00,NULL,59,'undefined','2024-06-01 18:11:11','2024-06-01 18:13:03',0),(1404,'9c2ef4c2-c158-49f2-9a61-376bfe8087f5','RIB-241784','Ribeye Grilled',45000.00,1.00,NULL,59,'undefined','2024-06-01 18:14:48','2024-06-01 18:14:48',0),(1405,'9c2ef4fc-e368-4080-b767-0d150ea28d16','KUK-456927','Kuku wa kupaka',30000.00,1.00,NULL,59,'undefined','2024-06-01 18:15:26','2024-06-01 18:15:26',0),(1406,'9c2ef52c-bb86-440a-8900-5a7d86ef8c16','MAT-452517','Matar paneer',25000.00,1.00,NULL,59,'undefined','2024-06-01 18:15:57','2024-06-01 18:15:57',0),(1407,'9c2ef586-373f-4f1b-942d-8a3e2b8156f6','CHO-560115','Chocolate fried brownie roll',15000.00,1.00,NULL,60,'undefined','2024-06-01 18:16:56','2024-06-01 18:16:56',0);
/*!40000 ALTER TABLE `food_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `food_items_ingredients`
--

DROP TABLE IF EXISTS `food_items_ingredients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `food_items_ingredients` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `food_item_id` bigint unsigned DEFAULT NULL,
  `ingredient_id` bigint unsigned DEFAULT NULL,
  `quantity` double(8,2) NOT NULL DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `food_items_ingredients_food_item_id_foreign` (`food_item_id`),
  KEY `food_items_ingredients_ingredient_id_foreign` (`ingredient_id`),
  CONSTRAINT `food_items_ingredients_food_item_id_foreign` FOREIGN KEY (`food_item_id`) REFERENCES `food_items` (`id`) ON DELETE SET NULL,
  CONSTRAINT `food_items_ingredients_ingredient_id_foreign` FOREIGN KEY (`ingredient_id`) REFERENCES `ingredients` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `food_items_ingredients`
--

LOCK TABLES `food_items_ingredients` WRITE;
/*!40000 ALTER TABLE `food_items_ingredients` DISABLE KEYS */;
/*!40000 ALTER TABLE `food_items_ingredients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ingredients`
--

DROP TABLE IF EXISTS `ingredients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ingredients` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` double(8,2) NOT NULL DEFAULT '1.00',
  `cost` double(8,2) NOT NULL DEFAULT '0.00',
  `unit` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `quantity` int NOT NULL DEFAULT '0',
  `alert_quantity` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '25',
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ingredients`
--

LOCK TABLES `ingredients` WRITE;
/*!40000 ALTER TABLE `ingredients` DISABLE KEYS */;
INSERT INTO `ingredients` VALUES (9,'Egg',2.00,1.00,'cope',200,'20',NULL,'2024-04-25 07:45:33','2024-04-25 07:45:33'),(10,'Milk',3.00,2.00,'ltr',500,'50',NULL,'2024-04-25 07:45:33','2024-04-25 07:45:33'),(11,'Meat',4.00,3.00,'kg',1000,'70',NULL,'2024-04-25 07:45:33','2024-04-25 07:45:33'),(12,'Chicken',3.00,2.00,'kg',1000,'70',NULL,'2024-04-25 07:45:33','2024-04-25 07:45:33'),(13,'Oninon',2.00,1.00,'kg',1000,'3',NULL,'2024-04-25 07:45:33','2024-04-25 07:45:33'),(14,'Potato',2.00,1.00,'kg',10000,'50',NULL,'2024-04-25 07:45:33','2024-04-25 07:45:33'),(15,'Bread',1.00,1.00,'piece',5000,'10',NULL,'2024-04-25 07:45:33','2024-04-25 07:45:33'),(16,'Katchup',1.00,1.00,'pack',7000,'100',NULL,'2024-04-25 07:45:33','2024-04-25 07:45:33');
/*!40000 ALTER TABLE `ingredients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ingredients_modifiers`
--

DROP TABLE IF EXISTS `ingredients_modifiers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ingredients_modifiers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `modifier_id` bigint unsigned DEFAULT NULL,
  `ingredient_id` bigint unsigned DEFAULT NULL,
  `quantity` double(8,2) NOT NULL DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ingredients_modifiers_modifier_id_foreign` (`modifier_id`),
  KEY `ingredients_modifiers_ingredient_id_foreign` (`ingredient_id`),
  CONSTRAINT `ingredients_modifiers_ingredient_id_foreign` FOREIGN KEY (`ingredient_id`) REFERENCES `ingredients` (`id`) ON DELETE SET NULL,
  CONSTRAINT `ingredients_modifiers_modifier_id_foreign` FOREIGN KEY (`modifier_id`) REFERENCES `modifiers` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ingredients_modifiers`
--

LOCK TABLES `ingredients_modifiers` WRITE;
/*!40000 ALTER TABLE `ingredients_modifiers` DISABLE KEYS */;
/*!40000 ALTER TABLE `ingredients_modifiers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jobs`
--

DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jobs`
--

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `languages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `locale` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `direction` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ltl',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'en','English','ltl',NULL,NULL);
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media`
--

DROP TABLE IF EXISTS `media`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `extension` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `mime` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `disk` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` int NOT NULL,
  `server_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `path` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_user_id_foreign` (`user_id`),
  KEY `media_uuid_index` (`uuid`),
  CONSTRAINT `media_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media`
--

LOCK TABLES `media` WRITE;
/*!40000 ALTER TABLE `media` DISABLE KEYS */;
/*!40000 ALTER TABLE `media` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2014_10_12_100000_create_password_reset_tokens_table',1),(2,'2014_10_12_100000_create_password_resets_table',1),(3,'2019_08_19_000000_create_failed_jobs_table',1),(4,'2019_12_14_000001_create_personal_access_tokens_table',1),(5,'2021_08_06_041732_create_user_roles_table',1),(6,'2021_08_06_042342_create_users_table',1),(7,'2021_08_06_042903_create_settings_table',1),(8,'2021_08_06_043130_create_languages_table',1),(9,'2021_08_06_043324_create_media_table',1),(10,'2021_08_28_182913_create_jobs_table',1),(11,'2023_04_02_103850_create_food_categories_table',1),(12,'2023_04_02_103852_create_ingredients_table',1),(13,'2023_04_02_103939_create_food_items_table',1),(14,'2023_04_02_103939_create_modifiers_table',1),(15,'2023_04_02_103959_create_food_items_ingredients_table',1),(16,'2023_04_02_103961_create_ingredients_modifiers_table',1),(17,'2023_04_02_104012_create_product_offers_table',1),(18,'2023_04_02_104057_create_service_tables_table',1),(19,'2023_04_02_104121_create_customers_table',1),(20,'2023_04_02_104135_create_payment_methods_table',1),(21,'2023_04_02_104221_create_sales_table',1),(22,'2023_04_28_074547_create_expense_types_table',1),(23,'2023_04_28_074601_create_expenses_table',1),(24,'2023_06_23_055548_add_cancellation_cols_into_sales_table',1),(25,'2023_07_10_130750_change_address_col_into_longtext_type_in_customers_table',1),(26,'2023_07_11_051804_add_printing_configs_cols_into_settings',1),(27,'2023_07_18_105534_create_pickup_points_table',1),(28,'2023_07_18_106746_add_col_is_discount_in_percentage_into_sales_table',1),(29,'2023_07_20_055842_add_shipping_addresses_to_customers_table',1),(30,'2023_08_03_045728_add_invoice_type_title_into_settings_table',1),(31,'2024_02_17_102152_create_user_activity_logs_table',2),(32,'2024_03_08_041938_create_cash_books_table',2),(33,'2024_03_08_042040_add_cashbook_id_col_into_sales_table',2),(34,'2024_03_08_053553_create_sale_items_table',2),(35,'2024_03_09_074953_add_tip_amount_col_into_sales_table',2),(36,'2024_03_09_110740_add_date_col_into_expenses_table',2),(37,'2024_03_09_111554_add_proing_cols_into_setting_table',2),(38,'2024_03_11_092800_add_item_type_col_into_food_items_table',2);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modifiers`
--

DROP TABLE IF EXISTS `modifiers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `modifiers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` double(8,2) NOT NULL,
  `cost` double(8,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `modifiers`
--

LOCK TABLES `modifiers` WRITE;
/*!40000 ALTER TABLE `modifiers` DISABLE KEYS */;
/*!40000 ALTER TABLE `modifiers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_reset_tokens`
--

DROP TABLE IF EXISTS `password_reset_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_reset_tokens` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_reset_tokens`
--

LOCK TABLES `password_reset_tokens` WRITE;
/*!40000 ALTER TABLE `password_reset_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_reset_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_resets`
--

DROP TABLE IF EXISTS `password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_resets`
--

LOCK TABLES `password_resets` WRITE;
/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
INSERT INTO `password_resets` VALUES ('bar@saverabeach.com','0wWeKlU8sTucdQcwS7EVHokDqscnes0M5Gszh279BT4qQcfRTFEL3eVtlD6L','2024-04-25 14:27:39');
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payment_methods`
--

DROP TABLE IF EXISTS `payment_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payment_methods` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payment_methods`
--

LOCK TABLES `payment_methods` WRITE;
/*!40000 ALTER TABLE `payment_methods` DISABLE KEYS */;
INSERT INTO `payment_methods` VALUES (1,'Cash','2024-03-19 20:13:52','2024-03-19 20:13:52'),(2,'Card proccessing','2024-03-19 20:13:52','2024-03-19 20:13:52'),(3,'Room Bill','2024-03-20 09:37:00','2024-03-20 09:37:00'),(4,'Unpaid Bills','2024-05-01 14:18:04','2024-05-01 14:18:04');
/*!40000 ALTER TABLE `payment_methods` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `expires_at` timestamp NULL DEFAULT NULL,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB AUTO_INCREMENT=77 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
INSERT INTO `personal_access_tokens` VALUES (44,'App\\Models\\User',12,'fusion_restaurant_auth_token','680c3ed56a97c13300765fcf9badab28fe427d2d697d58119dfcc86f86b05a89','[\"*\"]',NULL,'2024-06-02 10:22:02','2024-04-27 16:01:36','2024-06-02 10:22:02'),(65,'App\\Models\\User',8,'fusion_restaurant_auth_token','0db0d5b6b758f24f2c7b124485a68c0ba46397bde2501a9580473f34d48de7ba','[\"*\"]',NULL,'2024-06-01 21:00:54','2024-05-16 10:37:46','2024-06-01 21:00:54'),(66,'App\\Models\\User',8,'fusion_restaurant_auth_token','180d9c3ca26ef4c78424f1d1168883e7ef580db1cbda474b929cc2fb570bf87a','[\"*\"]',NULL,NULL,'2024-06-01 12:44:57','2024-06-01 12:44:57'),(67,'App\\Models\\User',4,'fusion_restaurant_auth_token','f8156d36e5558e288bedd044c2dc8edc0052667f351d4e7f13f76ed40ff34e16','[\"*\"]',NULL,'2024-06-02 08:22:36','2024-06-01 13:12:36','2024-06-02 08:22:36'),(71,'App\\Models\\User',4,'fusion_restaurant_auth_token','00aaf3fab3372f8f11c808d30eb8ec91246924e2c64832bb8b2923e54c6a77a0','[\"*\"]',NULL,'2024-06-02 08:13:35','2024-06-01 14:53:19','2024-06-02 08:13:35'),(73,'App\\Models\\User',8,'fusion_restaurant_auth_token','d5be472129c6357b4839ff2aeeda3ac2caecc95a0706ede7fb65d4bee2f07eae','[\"*\"]',NULL,NULL,'2024-06-01 17:00:59','2024-06-01 17:00:59'),(74,'App\\Models\\User',1,'fusion_restaurant_auth_token','e96eddad2c9a61045750df971a368f1c0ec8368647548edbcb8316673c6cae30','[\"*\"]',NULL,'2024-06-02 01:31:54','2024-06-01 17:23:56','2024-06-02 01:31:54'),(75,'App\\Models\\User',1,'fusion_restaurant_auth_token','74704b38e2781ea439d91f91456d6488a57b61f107b7a1b2ccc82305859567a8','[\"*\"]',NULL,'2024-06-02 10:22:17','2024-06-01 17:29:45','2024-06-02 10:22:17'),(76,'App\\Models\\User',4,'fusion_restaurant_auth_token','e1eb8454e3d56f107da43f5e5816e1933d7f943a337e2178acb0e295a6cb85f2','[\"*\"]',NULL,NULL,'2024-06-02 08:14:30','2024-06-02 08:14:30');
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pickup_points`
--

DROP TABLE IF EXISTS `pickup_points`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pickup_points` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `place_title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `person_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pickup_points`
--

LOCK TABLES `pickup_points` WRITE;
/*!40000 ALTER TABLE `pickup_points` DISABLE KEYS */;
/*!40000 ALTER TABLE `pickup_points` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_offers`
--

DROP TABLE IF EXISTS `product_offers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_offers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` double(8,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_offers`
--

LOCK TABLES `product_offers` WRITE;
/*!40000 ALTER TABLE `product_offers` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_offers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sale_items`
--

DROP TABLE IF EXISTS `sale_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sale_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `sale_id` bigint unsigned NOT NULL,
  `food_item_id` bigint unsigned DEFAULT NULL,
  `food_category_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_data` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `item_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `quantity` int NOT NULL,
  `price` decimal(10,2) NOT NULL,
  `total_amount` decimal(10,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sale_items_sale_id_foreign` (`sale_id`),
  CONSTRAINT `sale_items_sale_id_foreign` FOREIGN KEY (`sale_id`) REFERENCES `sales` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=504 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sale_items`
--

LOCK TABLES `sale_items` WRITE;
/*!40000 ALTER TABLE `sale_items` DISABLE KEYS */;
INSERT INTO `sale_items` VALUES (435,178,1255,'58','{\"id\":1255,\"uuid\":\"9be4c567-db08-450f-adca-0fa527ada2ca\",\"sku\":\"GRE-711311\",\"name\":\"Green Papaya salad\",\"price\":15000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-28T10:56:31.000000Z\",\"is_bar_type\":false}','Green Papaya salad',1,15000.00,15000.00,'2024-06-01 17:34:48','2024-06-01 17:34:48'),(436,178,1220,'58','{\"id\":1220,\"uuid\":\"9be4c567-af94-424e-913b-339353f03451\",\"sku\":\"TUN-627012\",\"name\":\"Tuna carpaccio\",\"price\":20000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":\"Tuna carpaccio served with Toast\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-28T11:10:20.000000Z\",\"is_bar_type\":false}','Tuna carpaccio',1,20000.00,20000.00,'2024-06-01 17:34:48','2024-06-01 17:34:48'),(437,178,1227,'60','{\"id\":1227,\"uuid\":\"9be4c567-b82d-4f49-a923-1d5da6bb5c21\",\"sku\":\"TRI-177175\",\"name\":\"Triple fruit salad w\\/ice cream\",\"price\":15000,\"cost\":0,\"image\":null,\"food_category_id\":60,\"description\":\"Triple fruit salad with passion fruit ice cream\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-05-01T13:28:52.000000Z\",\"is_bar_type\":false}','Triple fruit salad w/ice cream',1,15000.00,15000.00,'2024-06-01 17:34:48','2024-06-01 17:34:48'),(438,178,1235,'59','{\"id\":1235,\"uuid\":\"9be4c567-c238-4b75-b48e-c9b6b0258d0b\",\"sku\":\"LAM-413014\",\"name\":\"Lamb chops with mint sauce\",\"price\":45000,\"cost\":0,\"image\":null,\"food_category_id\":59,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-28T11:43:29.000000Z\",\"is_bar_type\":false}','Lamb chops with mint sauce',1,45000.00,45000.00,'2024-06-01 17:34:49','2024-06-01 17:34:49'),(439,179,1255,'58','{\"id\":1255,\"uuid\":\"9be4c567-db08-450f-adca-0fa527ada2ca\",\"sku\":\"GRE-711311\",\"name\":\"Green Papaya salad\",\"price\":15000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-28T10:56:31.000000Z\",\"is_bar_type\":false}','Green Papaya salad',1,15000.00,15000.00,'2024-06-01 17:37:45','2024-06-01 17:37:45'),(440,179,1249,'58','{\"id\":1249,\"uuid\":\"9be4c567-d366-4f08-bd29-4593bb843e43\",\"sku\":\"PEP-781778\",\"name\":\"Pepito\",\"price\":18000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":null,\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-25T18:11:07.000000Z\",\"is_bar_type\":false}','Pepito',1,18000.00,18000.00,'2024-06-01 17:37:45','2024-06-01 17:37:45'),(441,179,1174,'47','{\"id\":1174,\"uuid\":\"9be4c567-706f-47ba-b93e-71e6ad7639a4\",\"sku\":\"CRE-541124\",\"name\":\"Creamy pumpkin & potato soup\",\"price\":15000,\"cost\":0,\"image\":null,\"food_category_id\":47,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-30T16:40:29.000000Z\",\"is_bar_type\":false}','Creamy pumpkin & potato soup',1,15000.00,15000.00,'2024-06-01 17:37:45','2024-06-01 17:37:45'),(442,179,1161,'47','{\"id\":1161,\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"sku\":\"CLE-111748\",\"name\":\"Clear Seafood Soup\",\"price\":20000,\"cost\":0,\"image\":null,\"food_category_id\":47,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-30T17:26:51.000000Z\",\"is_bar_type\":false}','Clear Seafood Soup',1,20000.00,20000.00,'2024-06-01 17:37:45','2024-06-01 17:37:45'),(443,180,1309,'59','{\"id\":1309,\"uuid\":\"9be4c568-21dd-4893-b4e8-06a7ae72a0b3\",\"sku\":\"YEL-778318\",\"name\":\"Yellow fin tuna\",\"price\":38000,\"cost\":0,\"image\":null,\"food_category_id\":59,\"description\":null,\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-25T18:11:07.000000Z\",\"is_bar_type\":false}','Yellow fin tuna',2,38000.00,76000.00,'2024-06-01 17:44:27','2024-06-01 17:44:27'),(444,180,1316,'59','{\"id\":1316,\"uuid\":\"9be4c568-2aae-4cb3-b7ef-e60a26b9b9ae\",\"sku\":\"LOB-418647\",\"name\":\"Lobster Thermidor\",\"price\":65000,\"cost\":0,\"image\":null,\"food_category_id\":59,\"description\":\"with Potato wedges\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-05-01T07:30:03.000000Z\",\"is_bar_type\":false}','Lobster Thermidor',1,65000.00,65000.00,'2024-06-01 17:44:27','2024-06-01 17:44:27'),(445,181,1363,'59','{\"id\":1363,\"uuid\":\"9bf012a5-f390-4eb3-a4f8-6f7418a595cc\",\"sku\":\"CHI-714077\",\"name\":\"Chicken curry\",\"price\":30000,\"cost\":1,\"image\":null,\"food_category_id\":59,\"description\":\"Chicken curry with coconut rice\",\"created_at\":\"2024-05-01T09:01:13.000000Z\",\"updated_at\":\"2024-05-01T09:01:13.000000Z\",\"is_bar_type\":false}','Chicken curry',2,30000.00,60000.00,'2024-06-01 17:55:39','2024-06-01 17:55:39'),(446,181,1384,'55','{\"id\":1384,\"uuid\":\"9bf03a28-7644-44d0-9927-7b195bae1f23\",\"sku\":\"FAN-114956\",\"name\":\"Fanta\",\"price\":4000,\"cost\":1,\"image\":null,\"food_category_id\":55,\"description\":\"undefined\",\"created_at\":\"2024-05-01T10:51:41.000000Z\",\"updated_at\":\"2024-05-01T13:15:51.000000Z\",\"is_bar_type\":true}','Fanta',2,4000.00,8000.00,'2024-06-01 17:55:39','2024-06-01 17:55:39'),(447,182,1161,'47','{\"id\":1161,\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"sku\":\"CLE-111748\",\"name\":\"Clear Seafood Soup\",\"price\":20000,\"cost\":0,\"image\":null,\"food_category_id\":47,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-30T17:26:51.000000Z\",\"is_bar_type\":false}','Clear Seafood Soup',2,20000.00,40000.00,'2024-06-01 18:00:01','2024-06-01 18:00:01'),(448,182,1281,'58','{\"id\":1281,\"uuid\":\"9be4c567-fb8c-4640-b524-9f0699bb9844\",\"sku\":\"GRE-224111\",\"name\":\"Green salad w\\/feta\",\"price\":18000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-27T14:22:12.000000Z\",\"is_bar_type\":false}','Green salad w/feta',1,18000.00,18000.00,'2024-06-01 18:00:01','2024-06-01 18:00:01'),(449,183,1396,'59','{\"id\":1396,\"uuid\":\"9bf03d9c-3a5c-45f6-82c0-d01f9e9884ae\",\"sku\":\"PRA-161151\",\"name\":\"Prawn pasta al limone\",\"price\":30000,\"cost\":1,\"image\":null,\"food_category_id\":59,\"description\":\"undefined\",\"created_at\":\"2024-05-01T11:01:21.000000Z\",\"updated_at\":\"2024-05-01T11:01:21.000000Z\",\"is_bar_type\":false}','Prawn pasta al limone',1,30000.00,30000.00,'2024-06-01 18:08:14','2024-06-01 18:08:14'),(450,183,1352,'48','{\"id\":1352,\"uuid\":\"9be4c568-5e86-455d-9676-66154817160a\",\"sku\":\"SAF-717551\",\"name\":\"Safari\",\"price\":10000,\"cost\":0,\"image\":null,\"food_category_id\":48,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:08.000000Z\",\"updated_at\":\"2024-05-01T10:14:55.000000Z\",\"is_bar_type\":true}','Safari',2,10000.00,20000.00,'2024-06-01 18:08:14','2024-06-01 18:08:14'),(451,184,1352,'48','{\"id\":1352,\"uuid\":\"9be4c568-5e86-455d-9676-66154817160a\",\"sku\":\"SAF-717551\",\"name\":\"Safari\",\"price\":10000,\"cost\":0,\"image\":null,\"food_category_id\":48,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:08.000000Z\",\"updated_at\":\"2024-05-01T10:14:55.000000Z\",\"is_bar_type\":true}','Safari',3,10000.00,30000.00,'2024-06-01 18:23:29','2024-06-01 18:23:29'),(452,184,1401,'57','{\"id\":1401,\"uuid\":\"9c2ef1d8-802e-4bb1-b026-40f8a3df97a7\",\"sku\":\"HAP-127977\",\"name\":\"Happy Hour Cocktails\",\"price\":10000,\"cost\":1,\"image\":null,\"food_category_id\":57,\"description\":\"Discounted Cocktails\",\"created_at\":\"2024-06-01T15:06:39.000000Z\",\"updated_at\":\"2024-06-01T15:06:39.000000Z\",\"is_bar_type\":false}','Happy Hour Cocktails',2,10000.00,20000.00,'2024-06-01 18:23:29','2024-06-01 18:23:29'),(487,185,1161,'47','{\"id\":1161,\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"sku\":\"CLE-111748\",\"name\":\"Clear Seafood Soup\",\"price\":20000,\"cost\":0,\"image\":null,\"food_category_id\":47,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-30T17:26:51.000000Z\",\"is_bar_type\":false}','Clear Seafood Soup',1,20000.00,20000.00,'2024-06-01 21:34:13','2024-06-01 21:34:13'),(488,185,1273,'58','{\"id\":1273,\"uuid\":\"9be4c567-f15e-4869-ba83-10fc4ea08a89\",\"sku\":\"ARA-947517\",\"name\":\"Arancini di riso\",\"price\":20000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-06-01T15:09:54.000000Z\",\"is_bar_type\":false}','Arancini di riso',1,20000.00,20000.00,'2024-06-01 21:34:13','2024-06-01 21:34:13'),(489,185,1375,'61','{\"id\":1375,\"uuid\":\"9bf0321d-3266-408c-9d9f-89d21973a01b\",\"sku\":\"PIN-915671\",\"name\":\"Pinotage\\/Shiraz Bottle\",\"price\":60000,\"cost\":1,\"image\":null,\"food_category_id\":61,\"description\":\"undefined\",\"created_at\":\"2024-05-01T10:29:12.000000Z\",\"updated_at\":\"2024-05-01T13:13:07.000000Z\",\"is_bar_type\":true}','Pinotage/Shiraz Bottle',1,60000.00,60000.00,'2024-06-01 21:34:13','2024-06-01 21:34:13'),(490,185,1237,'59','{\"id\":1237,\"uuid\":\"9be4c567-c4d1-4d08-8011-9cd5ffa85a12\",\"sku\":\"GRI-646526\",\"name\":\"Grilled calamari steak\",\"price\":35000,\"cost\":0,\"image\":null,\"food_category_id\":59,\"description\":\"Grilled calamari steak w\\/savera sauce served with baby potatoes\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-06-01T15:10:36.000000Z\",\"is_bar_type\":false}','Grilled calamari steak',1,35000.00,35000.00,'2024-06-01 21:34:13','2024-06-01 21:34:13'),(491,187,1402,'58','{\"id\":1402,\"uuid\":\"9c2ef277-e203-4cd2-bf59-bbff7c3f5e65\",\"sku\":\"CHI-772552\",\"name\":\"Chicken Cheese Ravioli\",\"price\":15000,\"cost\":1,\"image\":null,\"food_category_id\":58,\"description\":\"undefined\",\"created_at\":\"2024-06-01T15:08:23.000000Z\",\"updated_at\":\"2024-06-01T15:12:32.000000Z\",\"is_bar_type\":false}','Chicken Cheese Ravioli',1,15000.00,15000.00,'2024-06-01 21:36:24','2024-06-01 21:36:24'),(492,187,1273,'58','{\"id\":1273,\"uuid\":\"9be4c567-f15e-4869-ba83-10fc4ea08a89\",\"sku\":\"ARA-947517\",\"name\":\"Arancini di riso\",\"price\":20000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-06-01T15:09:54.000000Z\",\"is_bar_type\":false}','Arancini di riso',1,20000.00,20000.00,'2024-06-01 21:36:24','2024-06-01 21:36:24'),(493,187,1403,'59','{\"id\":1403,\"uuid\":\"9c2ef378-2ed8-4604-aedc-70d9e79753fc\",\"sku\":\"SMO-741385\",\"name\":\"Smoked Chicken Enchiladas\",\"price\":30000,\"cost\":1,\"image\":null,\"food_category_id\":59,\"description\":\"undefined\",\"created_at\":\"2024-06-01T15:11:11.000000Z\",\"updated_at\":\"2024-06-01T15:13:03.000000Z\",\"is_bar_type\":false}','Smoked Chicken Enchiladas',2,30000.00,60000.00,'2024-06-01 21:36:24','2024-06-01 21:36:24'),(494,187,1407,'60','{\"id\":1407,\"uuid\":\"9c2ef586-373f-4f1b-942d-8a3e2b8156f6\",\"sku\":\"CHO-560115\",\"name\":\"Chocolate fried brownie roll\",\"price\":15000,\"cost\":1,\"image\":null,\"food_category_id\":60,\"description\":\"undefined\",\"created_at\":\"2024-06-01T15:16:56.000000Z\",\"updated_at\":\"2024-06-01T15:16:56.000000Z\",\"is_bar_type\":false}','Chocolate fried brownie roll',1,15000.00,15000.00,'2024-06-01 21:36:24','2024-06-01 21:36:24'),(495,188,1373,'50','{\"id\":1373,\"uuid\":\"9bf030e1-a7fd-4dda-ac76-108833e0f597\",\"sku\":\"CUV-579797\",\"name\":\"Cuvee Sabourin by glass\",\"price\":13000,\"cost\":1,\"image\":null,\"food_category_id\":50,\"description\":\"Sauvignon Blanc\",\"created_at\":\"2024-05-01T10:25:45.000000Z\",\"updated_at\":\"2024-05-01T13:12:37.000000Z\",\"is_bar_type\":true}','Cuvee Sabourin by glass',2,13000.00,26000.00,'2024-06-01 21:49:21','2024-06-01 21:49:21'),(496,186,1358,'59','{\"id\":1358,\"uuid\":\"9bf00f85-1262-4ec4-94b1-a62cf995e7f4\",\"sku\":\"GRI-374458\",\"name\":\"Grilled beef fillet\",\"price\":45000,\"cost\":1,\"image\":null,\"food_category_id\":59,\"description\":\"Served with garlic parsley potatoes and butter sauteed vegetables.\",\"created_at\":\"2024-05-01T08:52:28.000000Z\",\"updated_at\":\"2024-05-01T08:52:28.000000Z\",\"is_bar_type\":false}','Grilled beef fillet',1,45000.00,45000.00,'2024-06-01 21:50:43','2024-06-01 21:50:43'),(497,186,1130,'55','{\"id\":1130,\"uuid\":\"9be4c567-3797-4bb7-beff-c4f6a6016698\",\"sku\":\"ASS-741541\",\"name\":\"Assorted Tea\",\"price\":5000,\"cost\":0,\"image\":null,\"food_category_id\":55,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-05-01T13:04:05.000000Z\",\"is_bar_type\":true}','Assorted Tea',1,5000.00,5000.00,'2024-06-01 21:50:43','2024-06-01 21:50:43'),(498,186,1167,'59','{\"id\":1167,\"uuid\":\"9be4c567-6735-410c-901e-fd2f9befc95b\",\"sku\":\"GRI-171694\",\"name\":\"Grilled Fish in Savera Sauce\",\"price\":35000,\"cost\":0,\"image\":null,\"food_category_id\":59,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-05-01T13:20:44.000000Z\",\"is_bar_type\":false}','Grilled Fish in Savera Sauce',1,35000.00,35000.00,'2024-06-01 21:50:43','2024-06-01 21:50:43'),(499,186,1310,'59','{\"id\":1310,\"uuid\":\"9be4c568-2318-46be-a873-d6ec2999559b\",\"sku\":\"GRI-284475\",\"name\":\"Grilled King Prawns\",\"price\":40000,\"cost\":0,\"image\":null,\"food_category_id\":59,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-06-01T15:14:02.000000Z\",\"is_bar_type\":false}','Grilled King Prawns',1,40000.00,40000.00,'2024-06-01 21:50:43','2024-06-01 21:50:43'),(500,189,1227,'60','{\"id\":1227,\"uuid\":\"9be4c567-b82d-4f49-a923-1d5da6bb5c21\",\"sku\":\"TRI-177175\",\"name\":\"Triple fruit salad w\\/ice cream\",\"price\":15000,\"cost\":0,\"image\":null,\"food_category_id\":60,\"description\":\"Triple fruit salad with passion fruit ice cream\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-05-01T13:28:52.000000Z\",\"is_bar_type\":false}','Triple fruit salad w/ice cream',1,15000.00,15000.00,'2024-06-02 08:16:49','2024-06-02 08:16:49'),(501,189,1235,'59','{\"id\":1235,\"uuid\":\"9be4c567-c238-4b75-b48e-c9b6b0258d0b\",\"sku\":\"LAM-413014\",\"name\":\"Lamb chops with mint sauce\",\"price\":45000,\"cost\":0,\"image\":null,\"food_category_id\":59,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-28T11:43:29.000000Z\",\"is_bar_type\":false}','Lamb chops with mint sauce',1,45000.00,45000.00,'2024-06-02 08:16:49','2024-06-02 08:16:49'),(502,190,1265,'58','{\"id\":1265,\"uuid\":\"9be4c567-e79e-4283-a106-f8adceaea923\",\"sku\":\"SES-486611\",\"name\":\"Sesame fish fingers\",\"price\":18000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-27T14:03:58.000000Z\",\"is_bar_type\":false}','Sesame fish fingers',1,18000.00,18000.00,'2024-06-02 08:17:23','2024-06-02 08:17:23'),(503,190,1260,'58','{\"id\":1260,\"uuid\":\"9be4c567-e193-4f07-be67-94268d43722d\",\"sku\":\"BEE-022012\",\"name\":\"Beef samosa\",\"price\":18000,\"cost\":0,\"image\":null,\"food_category_id\":58,\"description\":\"null\",\"created_at\":\"2024-04-25T18:11:07.000000Z\",\"updated_at\":\"2024-04-27T14:08:22.000000Z\",\"is_bar_type\":false}','Beef samosa',1,18000.00,18000.00,'2024-06-02 08:17:23','2024-06-02 08:17:23');
/*!40000 ALTER TABLE `sale_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sales`
--

DROP TABLE IF EXISTS `sales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sales` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tracking` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'dining',
  `items` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `tax` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `tax_amount` double(8,2) NOT NULL DEFAULT '0.00',
  `subtotal` double(8,2) NOT NULL DEFAULT '0.00',
  `cart_total_items` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `cart_total_price` double(8,2) NOT NULL DEFAULT '0.00',
  `cart_total_cost` double(8,2) NOT NULL DEFAULT '0.00',
  `profit_after_all` double(8,2) NOT NULL DEFAULT '0.00',
  `payable_after_all` double(8,2) NOT NULL DEFAULT '0.00',
  `discount_rate` double(8,2) NOT NULL DEFAULT '0.00',
  `discount_amount` double(8,2) NOT NULL DEFAULT '0.00',
  `table_id` bigint unsigned DEFAULT NULL,
  `order_taker_id` bigint unsigned NOT NULL,
  `took_at` timestamp NULL DEFAULT NULL,
  `is_preparing` tinyint(1) NOT NULL DEFAULT '0',
  `chef_id` bigint unsigned DEFAULT NULL,
  `prepared_at` timestamp NULL DEFAULT NULL,
  `after_discount` double(8,2) NOT NULL DEFAULT '0.00',
  `customer_id` bigint unsigned DEFAULT NULL,
  `ordered_online` tinyint(1) NOT NULL DEFAULT '0',
  `biller_id` bigint unsigned DEFAULT NULL,
  `completed_at` timestamp NULL DEFAULT NULL,
  `payment_note` text COLLATE utf8mb4_unicode_ci,
  `staff_note` text COLLATE utf8mb4_unicode_ci,
  `progress` int NOT NULL DEFAULT '0',
  `payment_method_id` bigint unsigned DEFAULT NULL,
  `note_for_chef` text COLLATE utf8mb4_unicode_ci,
  `is_cancelled` tinyint(1) NOT NULL DEFAULT '0',
  `cancellation_reason` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_discount_in_percentage` tinyint(1) NOT NULL DEFAULT '1',
  `shipping_address` text COLLATE utf8mb4_unicode_ci,
  `pickup_point_id` bigint unsigned DEFAULT NULL,
  `cash_book_id` bigint unsigned DEFAULT NULL,
  `tip_amount` double(8,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`),
  KEY `sales_table_id_foreign` (`table_id`),
  KEY `sales_order_taker_id_foreign` (`order_taker_id`),
  KEY `sales_chef_id_foreign` (`chef_id`),
  KEY `sales_customer_id_foreign` (`customer_id`),
  KEY `sales_biller_id_foreign` (`biller_id`),
  KEY `sales_payment_method_id_foreign` (`payment_method_id`),
  KEY `sales_pickup_point_id_foreign` (`pickup_point_id`),
  KEY `sales_cash_book_id_foreign` (`cash_book_id`),
  CONSTRAINT `sales_biller_id_foreign` FOREIGN KEY (`biller_id`) REFERENCES `users` (`id`),
  CONSTRAINT `sales_cash_book_id_foreign` FOREIGN KEY (`cash_book_id`) REFERENCES `cash_books` (`id`),
  CONSTRAINT `sales_chef_id_foreign` FOREIGN KEY (`chef_id`) REFERENCES `users` (`id`),
  CONSTRAINT `sales_customer_id_foreign` FOREIGN KEY (`customer_id`) REFERENCES `customers` (`id`),
  CONSTRAINT `sales_order_taker_id_foreign` FOREIGN KEY (`order_taker_id`) REFERENCES `users` (`id`),
  CONSTRAINT `sales_payment_method_id_foreign` FOREIGN KEY (`payment_method_id`) REFERENCES `payment_methods` (`id`),
  CONSTRAINT `sales_pickup_point_id_foreign` FOREIGN KEY (`pickup_point_id`) REFERENCES `pickup_points` (`id`),
  CONSTRAINT `sales_table_id_foreign` FOREIGN KEY (`table_id`) REFERENCES `service_tables` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=191 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sales`
--

LOCK TABLES `sales` WRITE;
/*!40000 ALTER TABLE `sales` DISABLE KEYS */;
INSERT INTO `sales` VALUES (178,'9c2ee675-9d90-45cf-8c9e-195ce1fcf37a','2024061','dining','[{\"cart_uuid\":\"12559be4c567-db08-450f-adca-0fa527ada2ca1717252480930\",\"uuid\":\"9be4c567-db08-450f-adca-0fa527ada2ca\",\"id\":1255,\"name\":\"Green Papaya salad\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":15000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":15000,\"data\":{\"id\":1255,\"uuid\":\"9be4c567-db08-450f-adca-0fa527ada2ca\",\"category_id\":null,\"name\":\"Green Papaya salad\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"GRE-711311\",\"cost\":0,\"price\":15000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"12209be4c567-af94-424e-913b-339353f034511717252481328\",\"uuid\":\"9be4c567-af94-424e-913b-339353f03451\",\"id\":1220,\"name\":\"Tuna carpaccio\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":20000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":20000,\"data\":{\"id\":1220,\"uuid\":\"9be4c567-af94-424e-913b-339353f03451\",\"category_id\":null,\"name\":\"Tuna carpaccio\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"TUN-627012\",\"cost\":0,\"price\":20000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"12279be4c567-b82d-4f49-a923-1d5da6bb5c211717252481914\",\"uuid\":\"9be4c567-b82d-4f49-a923-1d5da6bb5c21\",\"id\":1227,\"name\":\"Triple fruit salad w\\/ice cream\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":15000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":15000,\"data\":{\"id\":1227,\"uuid\":\"9be4c567-b82d-4f49-a923-1d5da6bb5c21\",\"category_id\":null,\"name\":\"Triple fruit salad w\\/ice cream\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"TRI-177175\",\"cost\":0,\"price\":15000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"12359be4c567-c238-4b75-b48e-c9b6b0258d0b1717252482360\",\"uuid\":\"9be4c567-c238-4b75-b48e-c9b6b0258d0b\",\"id\":1235,\"name\":\"Lamb chops with mint sauce\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":45000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":45000,\"data\":{\"id\":1235,\"uuid\":\"9be4c567-c238-4b75-b48e-c9b6b0258d0b\",\"category_id\":null,\"name\":\"Lamb chops with mint sauce\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"LAM-413014\",\"cost\":0,\"price\":45000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',10925.00,0.00,'4',95000.00,0.00,95000.00,95000.00,0.00,0.00,29,1,'2024-06-01 17:34:48',1,3,'2024-06-01 17:44:44',0.00,145,0,8,'2024-06-01 17:45:33',NULL,NULL,100,1,NULL,0,NULL,'2024-06-01 17:34:48','2024-06-01 17:45:34',1,NULL,NULL,NULL,0.00),(179,'9c2ee782-b055-4650-8aed-133bc19a2686','202406178','dining','[{\"cart_uuid\":\"12559be4c567-db08-450f-adca-0fa527ada2ca1717252647585\",\"uuid\":\"9be4c567-db08-450f-adca-0fa527ada2ca\",\"id\":1255,\"name\":\"Green Papaya salad\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":15000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":15000,\"data\":{\"id\":1255,\"uuid\":\"9be4c567-db08-450f-adca-0fa527ada2ca\",\"category_id\":null,\"name\":\"Green Papaya salad\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"GRE-711311\",\"cost\":0,\"price\":15000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"12499be4c567-d366-4f08-bd29-4593bb843e431717252648071\",\"uuid\":\"9be4c567-d366-4f08-bd29-4593bb843e43\",\"id\":1249,\"name\":\"Pepito\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":18000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":18000,\"data\":{\"id\":1249,\"uuid\":\"9be4c567-d366-4f08-bd29-4593bb843e43\",\"category_id\":null,\"name\":\"Pepito\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"PEP-781778\",\"cost\":0,\"price\":18000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"11749be4c567-706f-47ba-b93e-71e6ad7639a41717252650485\",\"uuid\":\"9be4c567-706f-47ba-b93e-71e6ad7639a4\",\"id\":1174,\"name\":\"Creamy pumpkin & potato soup\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":15000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":15000,\"data\":{\"id\":1174,\"uuid\":\"9be4c567-706f-47ba-b93e-71e6ad7639a4\",\"category_id\":null,\"name\":\"Creamy pumpkin & potato soup\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"CRE-541124\",\"cost\":0,\"price\":15000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"11619be4c567-5dd8-483d-a0b2-e7bb05458c651717252651030\",\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"id\":1161,\"name\":\"Clear Seafood Soup\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":20000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":20000,\"data\":{\"id\":1161,\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"category_id\":null,\"name\":\"Clear Seafood Soup\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"CLE-111748\",\"cost\":0,\"price\":20000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',0.00,0.00,'4',68000.00,0.00,0.00,0.00,68000.00,68000.00,30,1,'2024-06-01 17:37:45',1,3,'2024-06-01 18:09:49',0.00,145,0,8,'2024-06-01 18:39:32',NULL,NULL,100,1,NULL,0,NULL,'2024-06-01 17:37:45','2024-06-01 18:39:32',1,NULL,NULL,NULL,0.00),(180,'9c2ee9e8-f696-43b8-96a8-c6e426c4e536','202406179','dining','[{\"cart_uuid\":\"13099be4c568-21dd-4893-b4e8-06a7ae72a0b31717253039693\",\"uuid\":\"9be4c568-21dd-4893-b4e8-06a7ae72a0b3\",\"id\":1309,\"name\":\"Yellow fin tuna\",\"image\":\"http:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":38000,\"cost\":0,\"in_stock\":200,\"qty\":2,\"sub_total\":76000,\"data\":{\"id\":1309,\"uuid\":\"9be4c568-21dd-4893-b4e8-06a7ae72a0b3\",\"category_id\":null,\"name\":\"Yellow fin tuna\",\"image\":\"http:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"YEL-778318\",\"cost\":0,\"price\":38000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"13169be4c568-2aae-4cb3-b7ef-e60a26b9b9ae1717253043032\",\"uuid\":\"9be4c568-2aae-4cb3-b7ef-e60a26b9b9ae\",\"id\":1316,\"name\":\"Lobster Thermidor\",\"image\":\"http:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":65000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":65000,\"data\":{\"id\":1316,\"uuid\":\"9be4c568-2aae-4cb3-b7ef-e60a26b9b9ae\",\"category_id\":null,\"name\":\"Lobster Thermidor\",\"image\":\"http:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"LOB-418647\",\"cost\":0,\"price\":65000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',16215.00,0.00,'3',141000.00,0.00,141000.00,141000.00,0.00,0.00,32,8,'2024-06-01 17:44:27',1,3,'2024-06-01 18:10:01',0.00,145,0,8,'2024-06-01 18:35:52',NULL,NULL,100,1,NULL,0,NULL,'2024-06-01 17:44:27','2024-06-01 18:35:52',1,NULL,NULL,NULL,0.00),(181,'9c2eede9-faa3-41b0-b8f5-ba67a271fd03','202406180','dining','[{\"cart_uuid\":\"13639bf012a5-f390-4eb3-a4f8-6f7418a595cc1717253630713\",\"uuid\":\"9bf012a5-f390-4eb3-a4f8-6f7418a595cc\",\"id\":1363,\"name\":\"Chicken curry\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":30000,\"cost\":1,\"in_stock\":200,\"qty\":2,\"sub_total\":60000,\"data\":{\"id\":1363,\"uuid\":\"9bf012a5-f390-4eb3-a4f8-6f7418a595cc\",\"category_id\":null,\"name\":\"Chicken curry\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"CHI-714077\",\"cost\":1,\"price\":30000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false,\"is_splited\":false},{\"cart_uuid\":\"13849bf03a28-7644-44d0-9927-7b195bae1f231717253683087\",\"uuid\":\"9bf03a28-7644-44d0-9927-7b195bae1f23\",\"id\":1384,\"name\":\"Fanta\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":4000,\"cost\":1,\"in_stock\":200,\"qty\":2,\"sub_total\":8000,\"data\":{\"id\":1384,\"uuid\":\"9bf03a28-7644-44d0-9927-7b195bae1f23\",\"category_id\":null,\"name\":\"Fanta\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"FAN-114956\",\"cost\":1,\"price\":4000,\"modifiers\":[],\"is_bar_type\":true,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":true,\"is_splited\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',7820.00,0.00,'4',68000.00,4.00,67996.00,68000.00,0.00,0.00,31,8,'2024-06-01 17:55:39',1,3,'2024-06-01 17:56:36',0.00,146,0,8,'2024-06-01 17:57:07',NULL,NULL,100,1,NULL,0,NULL,'2024-06-01 17:55:39','2024-06-01 17:57:07',1,NULL,NULL,NULL,0.00),(182,'9c2eef79-b894-478b-bfba-061a33871ca9','202406181','dining','[{\"cart_uuid\":\"11619be4c567-5dd8-483d-a0b2-e7bb05458c651717253934929\",\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"id\":1161,\"name\":\"Clear Seafood Soup\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":20000,\"cost\":0,\"in_stock\":200,\"qty\":2,\"sub_total\":40000,\"data\":{\"id\":1161,\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"category_id\":null,\"name\":\"Clear Seafood Soup\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"CLE-111748\",\"cost\":0,\"price\":20000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"12819be4c567-fb8c-4640-b524-9f0699bb98441717253953305\",\"uuid\":\"9be4c567-fb8c-4640-b524-9f0699bb9844\",\"id\":1281,\"name\":\"Green salad w\\/feta\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":18000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":18000,\"data\":{\"id\":1281,\"uuid\":\"9be4c567-fb8c-4640-b524-9f0699bb9844\",\"category_id\":null,\"name\":\"Green salad w\\/feta\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"GRE-224111\",\"cost\":0,\"price\":18000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',0.00,0.00,'3',58000.00,0.00,0.00,0.00,58000.00,58000.00,33,8,'2024-06-01 18:00:01',1,3,'2024-06-01 18:00:19',0.00,147,0,8,'2024-06-01 18:03:17',NULL,NULL,100,1,NULL,0,NULL,'2024-06-01 18:00:01','2024-06-01 18:03:17',1,NULL,NULL,NULL,0.00),(183,'9c2ef269-fcc7-4a51-ae53-990a69b67d93','202406182','dining','[{\"cart_uuid\":\"13969bf03d9c-3a5c-45f6-82c0-d01f9e9884ae1717254469524\",\"uuid\":\"9bf03d9c-3a5c-45f6-82c0-d01f9e9884ae\",\"id\":1396,\"name\":\"Prawn pasta al limone\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":30000,\"cost\":1,\"in_stock\":200,\"qty\":1,\"sub_total\":30000,\"data\":{\"id\":1396,\"uuid\":\"9bf03d9c-3a5c-45f6-82c0-d01f9e9884ae\",\"category_id\":null,\"name\":\"Prawn pasta al limone\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"PRA-161151\",\"cost\":1,\"price\":30000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"13529be4c568-5e86-455d-9676-66154817160a1717254481795\",\"uuid\":\"9be4c568-5e86-455d-9676-66154817160a\",\"id\":1352,\"name\":\"Safari\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":10000,\"cost\":0,\"in_stock\":200,\"qty\":2,\"sub_total\":20000,\"data\":{\"id\":1352,\"uuid\":\"9be4c568-5e86-455d-9676-66154817160a\",\"category_id\":null,\"name\":\"Safari\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"SAF-717551\",\"cost\":0,\"price\":10000,\"modifiers\":[],\"is_bar_type\":true,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":true}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',5750.00,0.00,'3',50000.00,1.00,49999.00,50000.00,0.00,0.00,31,8,'2024-06-01 18:08:14',1,7,'2024-06-01 18:23:43',0.00,145,0,8,'2024-06-01 18:36:25',NULL,NULL,100,1,NULL,0,NULL,'2024-06-01 18:08:14','2024-06-01 18:36:25',1,NULL,NULL,NULL,0.00),(184,'9c2ef7de-839c-4e71-bc36-32b0b6762baf','202406183','dining','[{\"cart_uuid\":\"13529be4c568-5e86-455d-9676-66154817160a1717255378957\",\"uuid\":\"9be4c568-5e86-455d-9676-66154817160a\",\"id\":1352,\"name\":\"Safari\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":10000,\"cost\":0,\"in_stock\":200,\"qty\":3,\"sub_total\":30000,\"data\":{\"id\":1352,\"uuid\":\"9be4c568-5e86-455d-9676-66154817160a\",\"category_id\":null,\"name\":\"Safari\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"SAF-717551\",\"cost\":0,\"price\":10000,\"modifiers\":[],\"is_bar_type\":true,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":true},{\"cart_uuid\":\"14019c2ef1d8-802e-4bb1-b026-40f8a3df97a71717255395866\",\"uuid\":\"9c2ef1d8-802e-4bb1-b026-40f8a3df97a7\",\"id\":1401,\"name\":\"Happy Hour Cocktails\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":10000,\"cost\":1,\"in_stock\":200,\"qty\":2,\"sub_total\":20000,\"data\":{\"id\":1401,\"uuid\":\"9c2ef1d8-802e-4bb1-b026-40f8a3df97a7\",\"category_id\":null,\"name\":\"Happy Hour Cocktails\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"HAP-127977\",\"cost\":1,\"price\":10000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',5750.00,0.00,'5',50000.00,2.00,49998.00,50000.00,0.00,0.00,29,8,'2024-06-01 18:23:29',1,7,'2024-06-01 18:34:19',0.00,145,0,8,'2024-06-01 18:35:00',NULL,NULL,100,1,NULL,0,NULL,'2024-06-01 18:23:29','2024-06-01 18:35:00',1,NULL,NULL,NULL,0.00),(185,'9c2f0426-160a-4546-afd8-56befc3a6f83','202406184','dining','[{\"cart_uuid\":\"11619be4c567-5dd8-483d-a0b2-e7bb05458c651717257423153\",\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"id\":1161,\"name\":\"Clear Seafood Soup\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":20000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":20000,\"data\":{\"id\":1161,\"uuid\":\"9be4c567-5dd8-483d-a0b2-e7bb05458c65\",\"category_id\":null,\"name\":\"Clear Seafood Soup\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"CLE-111748\",\"cost\":0,\"price\":20000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"12739be4c567-f15e-4869-ba83-10fc4ea08a891717257466765\",\"uuid\":\"9be4c567-f15e-4869-ba83-10fc4ea08a89\",\"id\":1273,\"name\":\"Arancini di riso\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":20000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":20000,\"data\":{\"id\":1273,\"uuid\":\"9be4c567-f15e-4869-ba83-10fc4ea08a89\",\"category_id\":null,\"name\":\"Arancini di riso\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"ARA-947517\",\"cost\":0,\"price\":20000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"13759bf0321d-3266-408c-9d9f-89d21973a01b1717258846939\",\"uuid\":\"9bf0321d-3266-408c-9d9f-89d21973a01b\",\"id\":1375,\"name\":\"Pinotage\\/Shiraz Bottle\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":60000,\"cost\":1,\"in_stock\":200,\"qty\":1,\"sub_total\":60000,\"data\":{\"id\":1375,\"uuid\":\"9bf0321d-3266-408c-9d9f-89d21973a01b\",\"category_id\":null,\"name\":\"Pinotage\\/Shiraz Bottle\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"PIN-915671\",\"cost\":1,\"price\":60000,\"modifiers\":[],\"is_bar_type\":true,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":true},{\"cart_uuid\":\"12379be4c567-c4d1-4d08-8011-9cd5ffa85a121717260691984\",\"uuid\":\"9be4c567-c4d1-4d08-8011-9cd5ffa85a12\",\"id\":1237,\"name\":\"Grilled calamari steak\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":35000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":35000,\"data\":{\"id\":1237,\"uuid\":\"9be4c567-c4d1-4d08-8011-9cd5ffa85a12\",\"category_id\":null,\"name\":\"Grilled calamari steak\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"GRI-646526\",\"cost\":0,\"price\":35000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',0.00,0.00,'4',135000.00,1.00,-1.00,0.00,135000.00,135000.00,29,8,'2024-06-01 18:57:49',1,3,'2024-06-01 21:34:35',0.00,145,0,8,'2024-06-01 21:42:28',NULL,NULL,100,1,NULL,0,NULL,'2024-06-01 18:57:50','2024-06-01 21:42:28',1,NULL,NULL,NULL,0.00),(186,'9c2f149e-18ca-4023-a5ba-ddac926d5d75','202406185','dining','[{\"cart_uuid\":\"13589bf00f85-1262-4ec4-94b1-a62cf995e7f41717260168858\",\"uuid\":\"9bf00f85-1262-4ec4-94b1-a62cf995e7f4\",\"id\":1358,\"name\":\"Grilled beef fillet\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":45000,\"cost\":1,\"in_stock\":200,\"qty\":1,\"sub_total\":45000,\"data\":{\"id\":1358,\"uuid\":\"9bf00f85-1262-4ec4-94b1-a62cf995e7f4\",\"category_id\":null,\"name\":\"Grilled beef fillet\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"GRI-374458\",\"cost\":1,\"price\":45000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"11309be4c567-3797-4bb7-beff-c4f6a60166981717260190010\",\"uuid\":\"9be4c567-3797-4bb7-beff-c4f6a6016698\",\"id\":1130,\"name\":\"Assorted Tea\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":5000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":5000,\"data\":{\"id\":1130,\"uuid\":\"9be4c567-3797-4bb7-beff-c4f6a6016698\",\"category_id\":null,\"name\":\"Assorted Tea\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"ASS-741541\",\"cost\":0,\"price\":5000,\"modifiers\":[],\"is_bar_type\":true,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":true},{\"cart_uuid\":\"11679be4c567-6735-410c-901e-fd2f9befc95b1717261908027\",\"uuid\":\"9be4c567-6735-410c-901e-fd2f9befc95b\",\"id\":1167,\"name\":\"Grilled Fish in Savera Sauce\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":35000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":35000,\"data\":{\"id\":1167,\"uuid\":\"9be4c567-6735-410c-901e-fd2f9befc95b\",\"category_id\":null,\"name\":\"Grilled Fish in Savera Sauce\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"GRI-171694\",\"cost\":0,\"price\":35000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"13109be4c568-2318-46be-a873-d6ec2999559b1717261929773\",\"uuid\":\"9be4c568-2318-46be-a873-d6ec2999559b\",\"id\":1310,\"name\":\"Grilled King Prawns\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":40000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":40000,\"data\":{\"id\":1310,\"uuid\":\"9be4c568-2318-46be-a873-d6ec2999559b\",\"category_id\":null,\"name\":\"Grilled King Prawns\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"GRI-284475\",\"cost\":0,\"price\":40000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',0.00,0.00,'4',125000.00,1.00,-1.00,0.00,125000.00,125000.00,43,8,'2024-06-01 19:43:52',1,3,'2024-06-01 21:41:15',0.00,149,0,8,'2024-06-01 21:52:03',NULL,NULL,100,3,NULL,0,NULL,'2024-06-01 19:43:53','2024-06-01 21:52:03',1,NULL,NULL,NULL,0.00),(187,'9c2f29bc-8da5-42d5-9be1-295ef04928c6','202406186','dining','[{\"cart_uuid\":\"14029c2ef277-e203-4cd2-bf59-bbff7c3f5e651717263669135\",\"uuid\":\"9c2ef277-e203-4cd2-bf59-bbff7c3f5e65\",\"id\":1402,\"name\":\"Chicken Cheese Ravioli\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":15000,\"cost\":1,\"in_stock\":200,\"qty\":1,\"sub_total\":15000,\"data\":{\"id\":1402,\"uuid\":\"9c2ef277-e203-4cd2-bf59-bbff7c3f5e65\",\"category_id\":null,\"name\":\"Chicken Cheese Ravioli\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"CHI-772552\",\"cost\":1,\"price\":15000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"12739be4c567-f15e-4869-ba83-10fc4ea08a891717263685939\",\"uuid\":\"9be4c567-f15e-4869-ba83-10fc4ea08a89\",\"id\":1273,\"name\":\"Arancini di riso\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":20000,\"cost\":0,\"in_stock\":200,\"qty\":1,\"sub_total\":20000,\"data\":{\"id\":1273,\"uuid\":\"9be4c567-f15e-4869-ba83-10fc4ea08a89\",\"category_id\":null,\"name\":\"Arancini di riso\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"ARA-947517\",\"cost\":0,\"price\":20000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"14039c2ef378-2ed8-4604-aedc-70d9e79753fc1717263700492\",\"uuid\":\"9c2ef378-2ed8-4604-aedc-70d9e79753fc\",\"id\":1403,\"name\":\"Smoked Chicken Enchiladas\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":30000,\"cost\":1,\"in_stock\":200,\"qty\":2,\"sub_total\":60000,\"data\":{\"id\":1403,\"uuid\":\"9c2ef378-2ed8-4604-aedc-70d9e79753fc\",\"category_id\":null,\"name\":\"Smoked Chicken Enchiladas\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"SMO-741385\",\"cost\":1,\"price\":30000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false},{\"cart_uuid\":\"14079c2ef586-373f-4f1b-942d-8a3e2b8156f61717263721591\",\"uuid\":\"9c2ef586-373f-4f1b-942d-8a3e2b8156f6\",\"id\":1407,\"name\":\"Chocolate fried brownie roll\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":15000,\"cost\":1,\"in_stock\":200,\"qty\":1,\"sub_total\":15000,\"data\":{\"id\":1407,\"uuid\":\"9c2ef586-373f-4f1b-942d-8a3e2b8156f6\",\"category_id\":null,\"name\":\"Chocolate fried brownie roll\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"CHO-560115\",\"cost\":1,\"price\":15000,\"modifiers\":[],\"is_bar_type\":false,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":false}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',0.00,0.00,'5',110000.00,4.00,-4.00,0.00,110000.00,110000.00,45,8,'2024-06-01 20:42:56',1,3,'2024-06-01 21:41:22',0.00,150,0,8,'2024-06-01 21:46:22',NULL,NULL,100,3,NULL,0,NULL,'2024-06-01 20:42:56','2024-06-01 21:46:22',1,NULL,NULL,NULL,0.00),(188,'9c2f417e-6431-49c2-9cea-beeb2c278d38','202406187','dining','[{\"cart_uuid\":\"13739bf030e1-a7fd-4dda-ac76-108833e0f5971717267667510\",\"uuid\":\"9bf030e1-a7fd-4dda-ac76-108833e0f597\",\"id\":1373,\"name\":\"Cuvee Sabourin by glass\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"price\":13000,\"cost\":1,\"in_stock\":200,\"qty\":2,\"sub_total\":26000,\"data\":{\"id\":1373,\"uuid\":\"9bf030e1-a7fd-4dda-ac76-108833e0f597\",\"category_id\":null,\"name\":\"Cuvee Sabourin by glass\",\"image\":\"https:\\/\\/savera.zantrix.tech\\/images\\/default\\/product.png\",\"sku\":\"CUV-579797\",\"cost\":1,\"price\":13000,\"modifiers\":[],\"is_bar_type\":true,\"in_stock\":200},\"modifiers\":[],\"modifiers_price\":0,\"modifiers_cost\":0,\"is_ready\":true,\"is_bar_type\":true}]','{\"tax_title\":\"Tax\",\"rate\":11.5,\"is_tax_fix\":false,\"is_tax_included\":true,\"tax_id\":\"Z025720717\",\"is_vat\":false}',2990.00,0.00,'2',26000.00,2.00,25998.00,26000.00,0.00,0.00,45,8,'2024-06-01 21:49:21',1,7,'2024-06-01 21:49:48',0.00,153,0,8,'2024-06-01 21:53:08',NULL,NULL,100,3,NULL,0,NULL,'2024-06-01 21:49:21','2024-06-01 21:53:08',1,NULL,NULL,NULL,0.00);
/*!40000 ALTER TABLE `sales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `service_tables`
--

DROP TABLE IF EXISTS `service_tables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `service_tables` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_booked` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `service_tables`
--

LOCK TABLES `service_tables` WRITE;
/*!40000 ALTER TABLE `service_tables` DISABLE KEYS */;
INSERT INTO `service_tables` VALUES (29,'Table one',0,'2024-04-25 21:45:01','2024-06-02 08:25:42'),(30,'Table two',0,'2024-04-25 21:45:01','2024-06-02 08:25:23'),(31,'Table three',0,'2024-04-25 21:45:01','2024-06-01 18:36:25'),(32,'Table four',0,'2024-04-25 21:45:01','2024-06-01 18:35:52'),(33,'Table five',0,'2024-04-25 21:45:01','2024-06-01 21:50:43'),(34,'Table six',0,'2024-04-25 21:45:01','2024-05-11 13:07:39'),(35,'Table seven',0,'2024-04-25 21:45:01','2024-05-11 13:09:36'),(36,'Table eight',0,'2024-04-25 21:45:01','2024-04-25 21:45:01'),(37,'Table nine',0,'2024-04-25 21:45:01','2024-05-11 13:06:54'),(38,'Table ten',0,'2024-04-25 21:45:01','2024-04-25 21:45:01'),(39,'Table eleven',0,'2024-04-25 21:45:01','2024-05-03 14:58:04'),(40,'Table twelve',0,'2024-04-25 21:45:01','2024-04-27 15:57:27'),(41,'Room Pole Pole',0,'2024-04-25 21:45:01','2024-04-25 21:45:01'),(42,'Room Karibu',0,'2024-04-25 21:45:01','2024-04-25 21:45:01'),(43,'Room Jambo',0,'2024-04-25 21:45:01','2024-06-01 21:52:03'),(44,'Room Asante',0,'2024-04-25 21:45:01','2024-04-25 21:45:01'),(45,'Room Upepo',0,'2024-04-25 21:45:01','2024-06-01 21:53:08'),(46,'Room Kilima',0,'2024-04-25 21:45:01','2024-05-04 14:41:49'),(47,'Room Malkia',0,'2024-04-25 21:45:01','2024-04-25 21:45:01'),(48,'Room Barizi',0,'2024-04-25 21:45:01','2024-04-25 21:45:01');
/*!40000 ALTER TABLE `service_tables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `app_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Business Help desk',
  `app_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `app_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `app_https` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `app_url` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `app_date_format` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'L',
  `app_date_locale` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'en',
  `app_default_role` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '2',
  `app_background` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `app_icon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `app_locale` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'en',
  `app_direction` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ltl',
  `app_timezone` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'UTC',
  `app_user_registration` tinyint(1) NOT NULL DEFAULT '0',
  `queue_connection` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'sync',
  `mail_from_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Business Help desk',
  `mail_from_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_mailer` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'log',
  `mail_host` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_username` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_password` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_port` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '2525',
  `mail_encryption` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'tls',
  `mailgun_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mailgun_endpoint` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mailgun_secret` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `recaptcha_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `recaptcha_public` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `recaptcha_private` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_rate` double(8,2) NOT NULL DEFAULT '0.00',
  `is_tax_fix` tinyint(1) NOT NULL DEFAULT '0',
  `is_vat` tinyint(1) NOT NULL DEFAULT '0',
  `is_tax_included` tinyint(1) NOT NULL DEFAULT '0',
  `tax_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `currency_symbol` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '$',
  `currency_symbol_on_left` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `print_font_family` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'monospace',
  `print_name_address_position` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'left',
  `print_name_address_size` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '17',
  `print_header_footer_size` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '14',
  `print_items_font_size` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '8',
  `print_terms_conditions_font_size` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '7',
  `print_font_color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#00000',
  `printer_width` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '100mm',
  `printer_height` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '170mm',
  `signature_required` tinyint(1) NOT NULL DEFAULT '0',
  `terms_conditions` longtext COLLATE utf8mb4_unicode_ci,
  `print_auto` tinyint(1) NOT NULL DEFAULT '1',
  `invoice_type_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Tax',
  `advance_cashbook_mode` tinyint(1) NOT NULL DEFAULT '1',
  `advance_print_on_submit` tinyint(1) NOT NULL DEFAULT '1',
  `advance_customer_tip_collection` tinyint(1) NOT NULL DEFAULT '1',
  `advance_send_notification` tinyint(1) NOT NULL DEFAULT '0',
  `template_order_created` longtext COLLATE utf8mb4_unicode_ci,
  `template_order_cancelled` longtext COLLATE utf8mb4_unicode_ci,
  `template_order_checkout` longtext COLLATE utf8mb4_unicode_ci,
  `wa_status` tinyint(1) NOT NULL DEFAULT '0',
  `wa_twilio_account_sid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `wa_twilio_auth_token` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `wa_twilio_from` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sms_status` tinyint(1) NOT NULL DEFAULT '0',
  `sms_channel` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vonage_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vonage_secret` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vonage_from` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twilio_account_sid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twilio_auth_token` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twilio_from` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mysqldump_path` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'mysqldump',
  `display_logo` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'Fusion Restaurant','Savera Beach Houses, Zanzibar','+255629215796','0','https://savera.zantrix.tech','d/m/Y H:i:s','en','2','appearance/background/5G7CJx2kN5UMZnQpXwa8RqC0mMQ6LoQy0qJRpn5b.jpg','appearance/icon/hAufYiuSFRegA1ZHnilQdag1CbR5GXPMaCA46SaR.jpg','en','ltl','Africa/Dar_es_Salaam',0,'sync','Fusion Restaurant','admin@zantrix.tech','sendmail','0.0.0.0',NULL,NULL,'1025',NULL,NULL,NULL,NULL,0,NULL,NULL,11.50,0,0,1,'Z025720717','TZS',0,'2024-03-19 20:13:52','2024-05-04 14:06:52','monospace','center','12','12','12','8','#00000','40mm','120mm',0,'Service fees are not included. You are welcome to Tip.',1,'Sales Invoice','Tax',0,0,0,0,NULL,NULL,NULL,0,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'mysqldump',0);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_activity_logs`
--

DROP TABLE IF EXISTS `user_activity_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_activity_logs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `activity` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `device` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ip` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1034 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_activity_logs`
--

LOCK TABLES `user_activity_logs` WRITE;
/*!40000 ALTER TABLE `user_activity_logs` DISABLE KEYS */;
INSERT INTO `user_activity_logs` VALUES (1,1,'General settings updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','14.1.106.201',NULL,'2024-04-25 07:45:50','2024-04-25 07:45:50'),(2,1,'General settings updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','14.1.106.201',NULL,'2024-04-25 07:45:55','2024-04-25 07:45:55'),(3,1,'Printing settings updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','14.1.106.201',NULL,'2024-04-25 07:46:18','2024-04-25 07:46:18'),(4,1,'Printing settings updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','14.1.106.201',NULL,'2024-04-25 07:46:23','2024-04-25 07:46:23'),(5,4,'Cashbook register opened successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-04-25 07:48:54','2024-04-25 07:48:54'),(6,8,'Cashbook register opened successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-25 14:36:41','2024-04-25 14:36:41'),(7,1,'Food products removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54',NULL,'2024-04-25 19:46:13','2024-04-25 19:46:13'),(8,1,'Food category removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54','Chineses','2024-04-25 19:46:13','2024-04-25 19:46:13'),(9,1,'Food products removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54',NULL,'2024-04-25 19:46:13','2024-04-25 19:46:13'),(10,1,'Food category removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54','Burgers','2024-04-25 19:46:13','2024-04-25 19:46:13'),(11,1,'Food products removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54',NULL,'2024-04-25 19:46:13','2024-04-25 19:46:13'),(12,1,'Food category removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54','Fries','2024-04-25 19:46:13','2024-04-25 19:46:13'),(13,1,'Food products removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54',NULL,'2024-04-25 19:46:13','2024-04-25 19:46:13'),(14,1,'Food category removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54','Pizza','2024-04-25 19:46:13','2024-04-25 19:46:13'),(15,1,'Food products removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54',NULL,'2024-04-25 19:46:13','2024-04-25 19:46:13'),(16,1,'Food category removed successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54','Cofees','2024-04-25 19:46:13','2024-04-25 19:46:13'),(17,1,'Data imported successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','41.188.147.54',NULL,'2024-04-25 20:16:31','2024-04-25 20:16:31'),(18,4,'Data imported successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-04-25 21:11:08','2024-04-25 21:11:08'),(19,4,'New sale order created successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:13:28','2024-04-25 21:13:28'),(20,4,'Printing settings updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-04-25 21:16:39','2024-04-25 21:16:39'),(21,4,'Printing settings updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-04-25 21:18:09','2024-04-25 21:18:09'),(22,4,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-04-25 21:22:14','2024-04-25 21:22:14'),(23,4,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-04-25 21:22:24','2024-04-25 21:22:24'),(24,4,'Data imported successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-04-25 21:45:01','2024-04-25 21:45:01'),(25,4,'New sale order created successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:48:52','2024-04-25 21:48:52'),(26,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:01','2024-04-25 21:50:01'),(27,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:03','2024-04-25 21:50:03'),(28,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:05','2024-04-25 21:50:05'),(29,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:07','2024-04-25 21:50:07'),(30,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:08','2024-04-25 21:50:08'),(31,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:10','2024-04-25 21:50:10'),(32,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:11','2024-04-25 21:50:11'),(33,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:13','2024-04-25 21:50:13'),(34,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:24','2024-04-25 21:50:24'),(35,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:26','2024-04-25 21:50:26'),(36,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:28','2024-04-25 21:50:28'),(37,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:29','2024-04-25 21:50:29'),(38,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:50:31','2024-04-25 21:50:31'),(39,4,'Order checkout successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','2024041','2024-04-25 21:51:15','2024-04-25 21:51:15'),(40,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','Lucas','2024-04-26 16:43:11','2024-04-26 16:43:11'),(41,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:43:26','2024-04-26 16:43:26'),(42,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:43:41','2024-04-26 16:43:41'),(43,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:43:43','2024-04-26 16:43:43'),(44,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:52:20','2024-04-26 16:52:20'),(45,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:52:22','2024-04-26 16:52:22'),(46,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:52:23','2024-04-26 16:52:23'),(47,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:52:25','2024-04-26 16:52:25'),(48,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:52:26','2024-04-26 16:52:26'),(49,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:52:52','2024-04-26 16:52:52'),(50,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:52:54','2024-04-26 16:52:54'),(51,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404118','2024-04-26 16:53:38','2024-04-26 16:53:38'),(52,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','mathayo','2024-04-26 18:11:11','2024-04-26 18:11:11'),(53,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:15','2024-04-26 18:11:15'),(54,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:23','2024-04-26 18:11:23'),(55,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:26','2024-04-26 18:11:26'),(56,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:28','2024-04-26 18:11:28'),(57,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:30','2024-04-26 18:11:30'),(58,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:32','2024-04-26 18:11:32'),(59,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:35','2024-04-26 18:11:35'),(60,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:37','2024-04-26 18:11:37'),(61,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:39','2024-04-26 18:11:39'),(62,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:11:41','2024-04-26 18:11:41'),(63,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404119','2024-04-26 18:12:52','2024-04-26 18:12:52'),(64,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','rama','2024-04-26 18:14:17','2024-04-26 18:14:17'),(65,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404120','2024-04-26 18:14:26','2024-04-26 18:14:26'),(66,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404120','2024-04-26 18:14:36','2024-04-26 18:14:36'),(67,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404120','2024-04-26 18:14:39','2024-04-26 18:14:39'),(68,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404120','2024-04-26 18:14:41','2024-04-26 18:14:41'),(69,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404120','2024-04-26 18:14:43','2024-04-26 18:14:43'),(70,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404120','2024-04-26 18:14:45','2024-04-26 18:14:45'),(71,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404120','2024-04-26 18:14:46','2024-04-26 18:14:46'),(72,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404120','2024-04-26 18:15:47','2024-04-26 18:15:47'),(73,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','Lucas','2024-04-26 18:29:47','2024-04-26 18:29:47'),(74,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:29:50','2024-04-26 18:29:50'),(75,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:02','2024-04-26 18:30:02'),(76,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:04','2024-04-26 18:30:04'),(77,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:07','2024-04-26 18:30:07'),(78,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:09','2024-04-26 18:30:09'),(79,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:11','2024-04-26 18:30:11'),(80,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:12','2024-04-26 18:30:12'),(81,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:14','2024-04-26 18:30:14'),(82,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:15','2024-04-26 18:30:15'),(83,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36','154.127.12.10','202404121','2024-04-26 18:30:34','2024-04-26 18:30:34'),(84,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Customer','2024-04-27 15:53:38','2024-04-27 15:53:38'),(85,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','don','2024-04-27 15:53:59','2024-04-27 15:53:59'),(86,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:54:15','2024-04-27 15:54:15'),(87,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-04-27 15:56:11','2024-04-27 15:56:11'),(88,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:56:24','2024-04-27 15:56:24'),(89,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:37','2024-04-27 15:56:37'),(90,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:39','2024-04-27 15:56:39'),(91,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:40','2024-04-27 15:56:40'),(92,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:42','2024-04-27 15:56:42'),(93,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:44','2024-04-27 15:56:44'),(94,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:45','2024-04-27 15:56:45'),(95,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:47','2024-04-27 15:56:47'),(96,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:49','2024-04-27 15:56:49'),(97,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:56:51','2024-04-27 15:56:51'),(98,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404122','2024-04-27 15:57:28','2024-04-27 15:57:28'),(99,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:57:52','2024-04-27 15:57:52'),(100,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:57:54','2024-04-27 15:57:54'),(101,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:57:55','2024-04-27 15:57:55'),(102,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:57:56','2024-04-27 15:57:56'),(103,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:57:58','2024-04-27 15:57:58'),(104,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:58:00','2024-04-27 15:58:00'),(105,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:58:02','2024-04-27 15:58:02'),(106,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:58:04','2024-04-27 15:58:04'),(107,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:58:05','2024-04-27 15:58:05'),(108,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404123','2024-04-27 15:58:44','2024-04-27 15:58:44'),(109,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-04-27 15:59:49','2024-04-27 15:59:49'),(110,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:00','2024-04-27 16:00:00'),(111,4,'User removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','Savior Savera','2024-04-27 16:00:01','2024-04-27 16:00:01'),(112,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:09','2024-04-27 16:00:09'),(113,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:11','2024-04-27 16:00:11'),(114,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:12','2024-04-27 16:00:12'),(115,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:14','2024-04-27 16:00:14'),(116,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:15','2024-04-27 16:00:15'),(117,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:17','2024-04-27 16:00:17'),(118,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:18','2024-04-27 16:00:18'),(119,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:20','2024-04-27 16:00:20'),(120,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:00:23','2024-04-27 16:00:23'),(121,4,'New user added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','Savio Savera','2024-04-27 16:00:34','2024-04-27 16:00:34'),(122,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404124','2024-04-27 16:01:19','2024-04-27 16:01:19'),(123,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Dr dre','2024-04-27 16:50:05','2024-04-27 16:50:05'),(124,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404125','2024-04-27 16:50:17','2024-04-27 16:50:17'),(125,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404125','2024-04-27 16:50:51','2024-04-27 16:50:51'),(126,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404125','2024-04-27 16:51:55','2024-04-27 16:51:55'),(127,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','soleg','2024-04-27 16:55:52','2024-04-27 16:55:52'),(128,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-04-27 16:56:53','2024-04-27 16:56:53'),(129,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:57:06','2024-04-27 16:57:06'),(130,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:57:20','2024-04-27 16:57:20'),(131,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:57:41','2024-04-27 16:57:41'),(132,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:57:43','2024-04-27 16:57:43'),(133,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:57:45','2024-04-27 16:57:45'),(134,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:57:46','2024-04-27 16:57:46'),(135,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:57:48','2024-04-27 16:57:48'),(136,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:57:49','2024-04-27 16:57:49'),(137,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:58:30','2024-04-27 16:58:30'),(138,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:58:38','2024-04-27 16:58:38'),(139,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404126','2024-04-27 16:59:14','2024-04-27 16:59:14'),(140,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:03:10','2024-04-27 17:03:10'),(141,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:03:58','2024-04-27 17:03:58'),(142,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:04:40','2024-04-27 17:04:40'),(143,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:07:48','2024-04-27 17:07:48'),(144,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:08:02','2024-04-27 17:08:02'),(145,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:08:22','2024-04-27 17:08:22'),(146,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:08:59','2024-04-27 17:08:59'),(147,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-04-27 17:11:41','2024-04-27 17:11:41'),(148,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:11:49','2024-04-27 17:11:49'),(149,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:11:58','2024-04-27 17:11:58'),(150,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:09','2024-04-27 17:12:09'),(151,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:11','2024-04-27 17:12:11'),(152,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:13','2024-04-27 17:12:13'),(153,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:15','2024-04-27 17:12:15'),(154,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:17','2024-04-27 17:12:17'),(155,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:18','2024-04-27 17:12:18'),(156,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:19','2024-04-27 17:12:19'),(157,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:21','2024-04-27 17:12:21'),(158,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404127','2024-04-27 17:12:42','2024-04-27 17:12:42'),(159,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:13:06','2024-04-27 17:13:06'),(160,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:13:42','2024-04-27 17:13:42'),(161,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:16:35','2024-04-27 17:16:35'),(162,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:22:12','2024-04-27 17:22:12'),(163,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','jei','2024-04-27 17:24:31','2024-04-27 17:24:31'),(164,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:24:36','2024-04-27 17:24:36'),(165,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:24:43','2024-04-27 17:24:43'),(166,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:24:52','2024-04-27 17:24:52'),(167,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:24:54','2024-04-27 17:24:54'),(168,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:24:56','2024-04-27 17:24:56'),(169,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:24:58','2024-04-27 17:24:58'),(170,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:25:01','2024-04-27 17:25:01'),(171,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:25:06','2024-04-27 17:25:06'),(172,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:25:07','2024-04-27 17:25:07'),(173,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:25:09','2024-04-27 17:25:09'),(174,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:25:14','2024-04-27 17:25:14'),(175,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:25:57','2024-04-27 17:25:57'),(176,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:26:05','2024-04-27 17:26:05'),(177,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:26:19','2024-04-27 17:26:19'),(178,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:28:52','2024-04-27 17:28:52'),(179,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:29:34','2024-04-27 17:29:34'),(180,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','juma','2024-04-27 17:30:16','2024-04-27 17:30:16'),(181,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:31:28','2024-04-27 17:31:28'),(182,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404128','2024-04-27 17:32:18','2024-04-27 17:32:18'),(183,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:33:35','2024-04-27 17:33:35'),(184,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:34:06','2024-04-27 17:34:06'),(185,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:34:37','2024-04-27 17:34:37'),(186,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','lssa','2024-04-27 17:34:43','2024-04-27 17:34:43'),(187,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:34:52','2024-04-27 17:34:52'),(188,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:34:59','2024-04-27 17:34:59'),(189,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:02','2024-04-27 17:35:02'),(190,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:35:04','2024-04-27 17:35:04'),(191,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:04','2024-04-27 17:35:04'),(192,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:06','2024-04-27 17:35:06'),(193,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:08','2024-04-27 17:35:08'),(194,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:10','2024-04-27 17:35:10'),(195,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:11','2024-04-27 17:35:11'),(196,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:13','2024-04-27 17:35:13'),(197,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:15','2024-04-27 17:35:15'),(198,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404129','2024-04-27 17:35:30','2024-04-27 17:35:30'),(199,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:35:47','2024-04-27 17:35:47'),(200,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','jei','2024-04-27 17:36:39','2024-04-27 17:36:39'),(201,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:36:47','2024-04-27 17:36:47'),(202,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:37:12','2024-04-27 17:37:12'),(203,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:21','2024-04-27 17:37:21'),(204,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:26','2024-04-27 17:37:26'),(205,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:28','2024-04-27 17:37:28'),(206,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:30','2024-04-27 17:37:30'),(207,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:32','2024-04-27 17:37:32'),(208,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:34','2024-04-27 17:37:34'),(209,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:37','2024-04-27 17:37:37'),(210,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:39','2024-04-27 17:37:39'),(211,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:37:58','2024-04-27 17:37:58'),(212,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404130','2024-04-27 17:38:28','2024-04-27 17:38:28'),(213,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:39:39','2024-04-27 17:39:39'),(214,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','israti','2024-04-27 17:39:57','2024-04-27 17:39:57'),(215,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:06','2024-04-27 17:40:06'),(216,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:40:14','2024-04-27 17:40:14'),(217,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:15','2024-04-27 17:40:15'),(218,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:18','2024-04-27 17:40:18'),(219,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:20','2024-04-27 17:40:20'),(220,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:21','2024-04-27 17:40:21'),(221,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:23','2024-04-27 17:40:23'),(222,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:24','2024-04-27 17:40:24'),(223,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:26','2024-04-27 17:40:26'),(224,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:29','2024-04-27 17:40:29'),(225,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:30','2024-04-27 17:40:30'),(226,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:32','2024-04-27 17:40:32'),(227,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:33','2024-04-27 17:40:33'),(228,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404131','2024-04-27 17:40:59','2024-04-27 17:40:59'),(229,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:44:13','2024-04-27 17:44:13'),(230,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:45:52','2024-04-27 17:45:52'),(231,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:46:13','2024-04-27 17:46:13'),(232,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:46:30','2024-04-27 17:46:30'),(233,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:46:39','2024-04-27 17:46:39'),(234,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:48:22','2024-04-27 17:48:22'),(235,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:51:01','2024-04-27 17:51:01'),(236,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:52:09','2024-04-27 17:52:09'),(237,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:53:18','2024-04-27 17:53:18'),(238,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:54:44','2024-04-27 17:54:44'),(239,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:56:25','2024-04-27 17:56:25'),(240,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:57:13','2024-04-27 17:57:13'),(241,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:58:01','2024-04-27 17:58:01'),(242,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:58:35','2024-04-27 17:58:35'),(243,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 17:58:45','2024-04-27 17:58:45'),(244,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:02:02','2024-04-27 18:02:02'),(245,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:02:11','2024-04-27 18:02:11'),(246,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:02:20','2024-04-27 18:02:20'),(247,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:02:30','2024-04-27 18:02:30'),(248,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:02:39','2024-04-27 18:02:39'),(249,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:02:52','2024-04-27 18:02:52'),(250,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:03:02','2024-04-27 18:03:02'),(251,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:03:10','2024-04-27 18:03:10'),(252,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:03:21','2024-04-27 18:03:21'),(253,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:03:29','2024-04-27 18:03:29'),(254,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:04:02','2024-04-27 18:04:02'),(255,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:04:47','2024-04-27 18:04:47'),(256,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:05:09','2024-04-27 18:05:09'),(257,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-27 18:06:45','2024-04-27 18:06:45'),(258,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-04-28 12:23:59','2024-04-28 12:23:59'),(259,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:17','2024-04-28 12:24:17'),(260,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:31','2024-04-28 12:24:31'),(261,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:37','2024-04-28 12:24:37'),(262,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:39','2024-04-28 12:24:39'),(263,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:41','2024-04-28 12:24:41'),(264,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:43','2024-04-28 12:24:43'),(265,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:45','2024-04-28 12:24:45'),(266,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:48','2024-04-28 12:24:48'),(267,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:49','2024-04-28 12:24:49'),(268,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:24:51','2024-04-28 12:24:51'),(269,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404132','2024-04-28 12:25:04','2024-04-28 12:25:04'),(270,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-04-28 12:32:09','2024-04-28 12:32:09'),(271,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:15','2024-04-28 12:32:15'),(272,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:21','2024-04-28 12:32:21'),(273,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:23','2024-04-28 12:32:23'),(274,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:25','2024-04-28 12:32:25'),(275,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:26','2024-04-28 12:32:26'),(276,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:28','2024-04-28 12:32:28'),(277,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:30','2024-04-28 12:32:30'),(278,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:31','2024-04-28 12:32:31'),(279,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:33','2024-04-28 12:32:33'),(280,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:35','2024-04-28 12:32:35'),(281,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404133','2024-04-28 12:32:47','2024-04-28 12:32:47'),(282,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','letticia','2024-04-28 12:34:00','2024-04-28 12:34:00'),(283,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:05','2024-04-28 12:34:05'),(284,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:11','2024-04-28 12:34:11'),(285,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:14','2024-04-28 12:34:14'),(286,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:15','2024-04-28 12:34:15'),(287,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:17','2024-04-28 12:34:17'),(288,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:18','2024-04-28 12:34:18'),(289,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:21','2024-04-28 12:34:21'),(290,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:23','2024-04-28 12:34:23'),(291,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:24','2024-04-28 12:34:24'),(292,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:26','2024-04-28 12:34:26'),(293,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:28','2024-04-28 12:34:28'),(294,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404134','2024-04-28 12:34:38','2024-04-28 12:34:38'),(295,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Lucas','2024-04-28 12:36:56','2024-04-28 12:36:56'),(296,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:01','2024-04-28 12:37:01'),(297,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:06','2024-04-28 12:37:06'),(298,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:07','2024-04-28 12:37:07'),(299,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:09','2024-04-28 12:37:09'),(300,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:10','2024-04-28 12:37:10'),(301,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:12','2024-04-28 12:37:12'),(302,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:14','2024-04-28 12:37:14'),(303,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:15','2024-04-28 12:37:15'),(304,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:18','2024-04-28 12:37:18'),(305,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:20','2024-04-28 12:37:20'),(306,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404135','2024-04-28 12:37:31','2024-04-28 12:37:31'),(307,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Savior Savera','2024-04-28 12:38:42','2024-04-28 12:38:42'),(308,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:38:47','2024-04-28 12:38:47'),(309,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:38:52','2024-04-28 12:38:52'),(310,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:38:54','2024-04-28 12:38:54'),(311,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:38:55','2024-04-28 12:38:55'),(312,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:38:57','2024-04-28 12:38:57'),(313,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:38:58','2024-04-28 12:38:58'),(314,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:38:59','2024-04-28 12:38:59'),(315,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:39:01','2024-04-28 12:39:01'),(316,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:39:03','2024-04-28 12:39:03'),(317,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:39:05','2024-04-28 12:39:05'),(318,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404136','2024-04-28 12:39:14','2024-04-28 12:39:14'),(319,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:21:06','2024-04-28 13:21:06'),(320,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:26:36','2024-04-28 13:26:36'),(321,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:26:36','2024-04-28 13:26:36'),(322,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:26:36','2024-04-28 13:26:36'),(323,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:26:36','2024-04-28 13:26:36'),(324,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:26:36','2024-04-28 13:26:36'),(325,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:26:36','2024-04-28 13:26:36'),(326,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:28:30','2024-04-28 13:28:30'),(327,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:28:30','2024-04-28 13:28:30'),(328,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:28:30','2024-04-28 13:28:30'),(329,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:28:30','2024-04-28 13:28:30'),(330,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:34:48','2024-04-28 13:34:48'),(331,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:34:48','2024-04-28 13:34:48'),(332,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:37:17','2024-04-28 13:37:17'),(333,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:55:29','2024-04-28 13:55:29'),(334,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:56:31','2024-04-28 13:56:31'),(335,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 13:57:11','2024-04-28 13:57:11'),(336,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:00:39','2024-04-28 14:00:39'),(337,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:03:28','2024-04-28 14:03:28'),(338,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:06:57','2024-04-28 14:06:57'),(339,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:07:16','2024-04-28 14:07:16'),(340,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:08:25','2024-04-28 14:08:25'),(341,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:09:39','2024-04-28 14:09:39'),(342,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:09:39','2024-04-28 14:09:39'),(343,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:10:20','2024-04-28 14:10:20'),(344,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:13:38','2024-04-28 14:13:38'),(345,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:16:48','2024-04-28 14:16:48'),(346,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:17:36','2024-04-28 14:17:36'),(347,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:17:53','2024-04-28 14:17:53'),(348,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:20:32','2024-04-28 14:20:32'),(349,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:22:07','2024-04-28 14:22:07'),(350,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:22:37','2024-04-28 14:22:37'),(351,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:24:17','2024-04-28 14:24:17'),(352,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:25:58','2024-04-28 14:25:58'),(353,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 14:43:29','2024-04-28 14:43:29'),(354,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:00:11','2024-04-28 15:00:11'),(355,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:01:28','2024-04-28 15:01:28'),(356,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:03:10','2024-04-28 15:03:10'),(357,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:04:28','2024-04-28 15:04:28'),(358,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:05:39','2024-04-28 15:05:39'),(359,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:07:53','2024-04-28 15:07:53'),(360,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:07:53','2024-04-28 15:07:53'),(361,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:07:53','2024-04-28 15:07:53'),(362,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:08:17','2024-04-28 15:08:17'),(363,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:09:14','2024-04-28 15:09:14'),(364,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:09:24','2024-04-28 15:09:24'),(365,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-28 15:09:40','2024-04-28 15:09:40'),(366,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','joe','2024-04-28 17:38:37','2024-04-28 17:38:37'),(367,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404137','2024-04-28 17:38:44','2024-04-28 17:38:44'),(368,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 15:01:44','2024-04-29 15:01:44'),(369,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 15:06:05','2024-04-29 15:06:05'),(370,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 15:17:32','2024-04-29 15:17:32'),(371,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 15:18:06','2024-04-29 15:18:06'),(372,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 15:18:37','2024-04-29 15:18:37'),(373,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 15:18:37','2024-04-29 15:18:37'),(374,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Savior Savera','2024-04-29 15:44:34','2024-04-29 15:44:34'),(375,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:44:45','2024-04-29 15:44:45'),(376,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404137','2024-04-29 15:45:01','2024-04-29 15:45:01'),(377,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404137','2024-04-29 15:45:23','2024-04-29 15:45:23'),(378,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404137','2024-04-29 15:45:27','2024-04-29 15:45:27'),(379,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404137','2024-04-29 15:45:34','2024-04-29 15:45:34'),(380,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404137','2024-04-29 15:46:40','2024-04-29 15:46:40'),(381,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','mathayo','2024-04-29 15:48:05','2024-04-29 15:48:05'),(382,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:48:15','2024-04-29 15:48:15'),(383,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:29','2024-04-29 15:48:29'),(384,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:39','2024-04-29 15:48:39'),(385,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:41','2024-04-29 15:48:41'),(386,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:43','2024-04-29 15:48:43'),(387,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:46','2024-04-29 15:48:46'),(388,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:48','2024-04-29 15:48:48'),(389,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:52','2024-04-29 15:48:52'),(390,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:55','2024-04-29 15:48:55'),(391,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:57','2024-04-29 15:48:57'),(392,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:48:59','2024-04-29 15:48:59'),(393,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-04-29 15:49:01','2024-04-29 15:49:01'),(394,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:13','2024-04-29 15:49:13'),(395,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:18','2024-04-29 15:49:18'),(396,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:20','2024-04-29 15:49:20'),(397,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:22','2024-04-29 15:49:22'),(398,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:24','2024-04-29 15:49:24'),(399,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:26','2024-04-29 15:49:26'),(400,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:27','2024-04-29 15:49:27'),(401,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:29','2024-04-29 15:49:29'),(402,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:31','2024-04-29 15:49:31'),(403,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:33','2024-04-29 15:49:33'),(404,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:49:35','2024-04-29 15:49:35'),(405,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404139','2024-04-29 15:50:37','2024-04-29 15:50:37'),(406,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 16:57:31','2024-04-29 16:57:31'),(407,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 16:57:31','2024-04-29 16:57:31'),(408,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 16:57:54','2024-04-29 16:57:54'),(409,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 16:58:55','2024-04-29 16:58:55'),(410,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 16:59:20','2024-04-29 16:59:20'),(411,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:00:12','2024-04-29 17:00:12'),(412,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:00:12','2024-04-29 17:00:12'),(413,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:01:02','2024-04-29 17:01:02'),(414,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:01:31','2024-04-29 17:01:31'),(415,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:03:14','2024-04-29 17:03:14'),(416,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:05:00','2024-04-29 17:05:00'),(417,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:10:15','2024-04-29 17:10:15'),(418,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:10:15','2024-04-29 17:10:15'),(419,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:11:36','2024-04-29 17:11:36'),(420,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:12:52','2024-04-29 17:12:52'),(421,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:25:50','2024-04-29 17:25:50'),(422,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:30:29','2024-04-29 17:30:29'),(423,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:34:24','2024-04-29 17:34:24'),(424,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:34:24','2024-04-29 17:34:24'),(425,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:34:24','2024-04-29 17:34:24'),(426,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:34:24','2024-04-29 17:34:24'),(427,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:35:16','2024-04-29 17:35:16'),(428,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:38:51','2024-04-29 17:38:51'),(429,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:40:05','2024-04-29 17:40:05'),(430,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:41:37','2024-04-29 17:41:37'),(431,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:41:47','2024-04-29 17:41:47'),(432,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:53:03','2024-04-29 17:53:03'),(433,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:54:01','2024-04-29 17:54:01'),(434,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:54:12','2024-04-29 17:54:12'),(435,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:55:18','2024-04-29 17:55:18'),(436,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 17:55:54','2024-04-29 17:55:54'),(437,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 18:05:58','2024-04-29 18:05:58'),(438,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 18:06:08','2024-04-29 18:06:08'),(439,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 18:06:45','2024-04-29 18:06:45'),(440,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 18:07:24','2024-04-29 18:07:24'),(441,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-29 18:08:24','2024-04-29 18:08:24'),(442,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 19:40:29','2024-04-30 19:40:29'),(443,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 19:41:08','2024-04-30 19:41:08'),(444,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 19:57:49','2024-04-30 19:57:49'),(445,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 19:59:46','2024-04-30 19:59:46'),(446,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:00:38','2024-04-30 20:00:38'),(447,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:04:21','2024-04-30 20:04:21'),(448,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:06:24','2024-04-30 20:06:24'),(449,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:06:45','2024-04-30 20:06:45'),(450,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:07:31','2024-04-30 20:07:31'),(451,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:07:45','2024-04-30 20:07:45'),(452,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:08:59','2024-04-30 20:08:59'),(453,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:09:06','2024-04-30 20:09:06'),(454,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:10:49','2024-04-30 20:10:49'),(455,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:11:42','2024-04-30 20:11:42'),(456,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:13:09','2024-04-30 20:13:09'),(457,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:26:51','2024-04-30 20:26:51'),(458,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-04-30 20:30:20','2024-04-30 20:30:20'),(459,1,'Printing settings updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','155.12.22.154',NULL,'2024-04-30 20:34:15','2024-04-30 20:34:15'),(460,1,'Printing settings updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','155.12.22.154',NULL,'2024-04-30 20:35:25','2024-04-30 20:35:25'),(461,1,'Printing settings updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','103.26.82.70',NULL,'2024-05-01 03:23:14','2024-05-01 03:23:14'),(462,1,'Printing settings updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','103.26.82.70',NULL,'2024-05-01 03:23:17','2024-05-01 03:23:17'),(463,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:30:03','2024-05-01 10:30:03'),(464,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:39:34','2024-05-01 10:39:34'),(465,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:40:52','2024-05-01 10:40:52'),(466,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:41:36','2024-05-01 10:41:36'),(467,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:42:56','2024-05-01 10:42:56'),(468,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:44:41','2024-05-01 10:44:41'),(469,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:46:00','2024-05-01 10:46:00'),(470,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:49:05','2024-05-01 10:49:05'),(471,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:51:33','2024-05-01 10:51:33'),(472,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:52:54','2024-05-01 10:52:54'),(473,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 10:52:54','2024-05-01 10:52:54'),(474,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:08:42','2024-05-01 11:08:42'),(475,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:11:23','2024-05-01 11:11:23'),(476,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:12:01','2024-05-01 11:12:01'),(477,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:14:42','2024-05-01 11:14:42'),(478,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:18:21','2024-05-01 11:18:21'),(479,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:20:14','2024-05-01 11:20:14'),(480,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:21:01','2024-05-01 11:21:01'),(481,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:31:27','2024-05-01 11:31:27'),(482,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:32:14','2024-05-01 11:32:14'),(483,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:40:11','2024-05-01 11:40:11'),(484,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:40:11','2024-05-01 11:40:11'),(485,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:49:40','2024-05-01 11:49:40'),(486,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:50:21','2024-05-01 11:50:21'),(487,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:51:15','2024-05-01 11:51:15'),(488,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:52:28','2024-05-01 11:52:28'),(489,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:53:28','2024-05-01 11:53:28'),(490,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:54:44','2024-05-01 11:54:44'),(491,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:57:12','2024-05-01 11:57:12'),(492,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 11:58:20','2024-05-01 11:58:20'),(493,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:01:13','2024-05-01 12:01:13'),(494,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:01:53','2024-05-01 12:01:53'),(495,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:13:08','2024-05-01 12:13:08'),(496,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:13:55','2024-05-01 12:13:55'),(497,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:52:39','2024-05-01 12:52:39'),(498,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:53:17','2024-05-01 12:53:17'),(499,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:54:06','2024-05-01 12:54:06'),(500,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:55:14','2024-05-01 12:55:14'),(501,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:55:40','2024-05-01 12:55:40'),(502,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:57:12','2024-05-01 12:57:12'),(503,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 12:57:55','2024-05-01 12:57:55'),(504,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:02:24','2024-05-01 13:02:24'),(505,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:03:33','2024-05-01 13:03:33'),(506,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:06:32','2024-05-01 13:06:32'),(507,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:13:59','2024-05-01 13:13:59'),(508,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:14:18','2024-05-01 13:14:18'),(509,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:14:36','2024-05-01 13:14:36'),(510,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:14:51','2024-05-01 13:14:51'),(511,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:14:55','2024-05-01 13:14:55'),(512,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:15:09','2024-05-01 13:15:09'),(513,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:15:48','2024-05-01 13:15:48'),(514,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:16:38','2024-05-01 13:16:38'),(515,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:18:01','2024-05-01 13:18:01'),(516,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:18:28','2024-05-01 13:18:28'),(517,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:19:12','2024-05-01 13:19:12'),(518,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:19:47','2024-05-01 13:19:47'),(519,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:20:22','2024-05-01 13:20:22'),(520,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:20:52','2024-05-01 13:20:52'),(521,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:21:26','2024-05-01 13:21:26'),(522,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:22:01','2024-05-01 13:22:01'),(523,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:25:45','2024-05-01 13:25:45'),(524,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:26:19','2024-05-01 13:26:19'),(525,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:27:02','2024-05-01 13:27:02'),(526,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:27:36','2024-05-01 13:27:36'),(527,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:28:29','2024-05-01 13:28:29'),(528,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:29:12','2024-05-01 13:29:12'),(529,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:29:46','2024-05-01 13:29:46'),(530,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:30:19','2024-05-01 13:30:19'),(531,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:30:57','2024-05-01 13:30:57'),(532,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:38:04','2024-05-01 13:38:04'),(533,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:38:22','2024-05-01 13:38:22'),(534,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:39:37','2024-05-01 13:39:37'),(535,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:41:12','2024-05-01 13:41:12'),(536,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:41:46','2024-05-01 13:41:46'),(537,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:41:50','2024-05-01 13:41:50'),(538,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:42:10','2024-05-01 13:42:10'),(539,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:43:43','2024-05-01 13:43:43'),(540,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:43:49','2024-05-01 13:43:49'),(541,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:44:09','2024-05-01 13:44:09'),(542,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:44:59','2024-05-01 13:44:59'),(543,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:45:28','2024-05-01 13:45:28'),(544,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:45:33','2024-05-01 13:45:33'),(545,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:46:25','2024-05-01 13:46:25'),(546,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:46:53','2024-05-01 13:46:53'),(547,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:47:29','2024-05-01 13:47:29'),(548,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:47:54','2024-05-01 13:47:54'),(549,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:49:43','2024-05-01 13:49:43'),(550,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:50:13','2024-05-01 13:50:13'),(551,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:51:19','2024-05-01 13:51:19'),(552,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:51:41','2024-05-01 13:51:41'),(553,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:51:52','2024-05-01 13:51:52'),(554,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:52:24','2024-05-01 13:52:24'),(555,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:52:38','2024-05-01 13:52:38'),(556,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:53:13','2024-05-01 13:53:13'),(557,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:53:35','2024-05-01 13:53:35'),(558,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:53:58','2024-05-01 13:53:58'),(559,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:55:21','2024-05-01 13:55:21'),(560,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:55:39','2024-05-01 13:55:39'),(561,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:56:54','2024-05-01 13:56:54'),(562,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:57:37','2024-05-01 13:57:37'),(563,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:58:03','2024-05-01 13:58:03'),(564,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 13:58:46','2024-05-01 13:58:46'),(565,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 14:00:53','2024-05-01 14:00:53'),(566,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 14:01:21','2024-05-01 14:01:21'),(567,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 14:01:48','2024-05-01 14:01:48'),(568,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 14:02:18','2024-05-01 14:02:18'),(569,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 14:02:36','2024-05-01 14:02:36'),(570,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 14:02:54','2024-05-01 14:02:54'),(571,4,'New payment method added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-05-01 14:18:04','2024-05-01 14:18:04'),(572,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 15:27:11','2024-05-01 15:27:11'),(573,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 15:27:28','2024-05-01 15:27:28'),(574,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 15:28:30','2024-05-01 15:28:30'),(575,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 15:28:47','2024-05-01 15:28:47'),(576,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 15:30:05','2024-05-01 15:30:05'),(577,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 15:30:13','2024-05-01 15:30:13'),(578,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:02:44','2024-05-01 16:02:44'),(579,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:03:11','2024-05-01 16:03:11'),(580,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:03:27','2024-05-01 16:03:27'),(581,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:03:33','2024-05-01 16:03:33'),(582,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:04:05','2024-05-01 16:04:05'),(583,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:05:28','2024-05-01 16:05:28'),(584,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:06:57','2024-05-01 16:06:57'),(585,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:07:22','2024-05-01 16:07:22'),(586,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:07:41','2024-05-01 16:07:41'),(587,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:08:00','2024-05-01 16:08:00'),(588,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:08:15','2024-05-01 16:08:15'),(589,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:08:29','2024-05-01 16:08:29'),(590,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:09:00','2024-05-01 16:09:00'),(591,12,'Food item removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:09:39','2024-05-01 16:09:39'),(592,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-05-01 16:10:31','2024-05-01 16:10:31'),(593,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:10:44','2024-05-01 16:10:44'),(594,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:10:58','2024-05-01 16:10:58'),(595,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:01','2024-05-01 16:11:01'),(596,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:04','2024-05-01 16:11:04'),(597,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:09','2024-05-01 16:11:09'),(598,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:12','2024-05-01 16:11:12'),(599,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:14','2024-05-01 16:11:14'),(600,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:19','2024-05-01 16:11:19'),(601,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:22','2024-05-01 16:11:22'),(602,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:24','2024-05-01 16:11:24'),(603,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:11:46','2024-05-01 16:11:46'),(604,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405140','2024-05-01 16:11:52','2024-05-01 16:11:52'),(605,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:12:11','2024-05-01 16:12:11'),(606,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:12:37','2024-05-01 16:12:37'),(607,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202404138','2024-05-01 16:12:46','2024-05-01 16:12:46'),(608,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:12:53','2024-05-01 16:12:53'),(609,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:13:07','2024-05-01 16:13:07'),(610,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:13:19','2024-05-01 16:13:19'),(611,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:14:15','2024-05-01 16:14:15'),(612,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:15:24','2024-05-01 16:15:24'),(613,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:15:51','2024-05-01 16:15:51'),(614,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:16:05','2024-05-01 16:16:05'),(615,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:16:23','2024-05-01 16:16:23'),(616,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:16:31','2024-05-01 16:16:31'),(617,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:16:53','2024-05-01 16:16:53'),(618,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:17:34','2024-05-01 16:17:34'),(619,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:17:54','2024-05-01 16:17:54'),(620,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:18:06','2024-05-01 16:18:06'),(621,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:20:44','2024-05-01 16:20:44'),(622,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:27:59','2024-05-01 16:27:59'),(623,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:28:17','2024-05-01 16:28:17'),(624,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:28:37','2024-05-01 16:28:37'),(625,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-01 16:28:52','2024-05-01 16:28:52'),(626,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','letticia','2024-05-01 16:29:59','2024-05-01 16:29:59'),(627,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:30:10','2024-05-01 16:30:10'),(628,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:33:38','2024-05-01 16:33:38'),(629,4,'Printing settings updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-05-01 16:45:01','2024-05-01 16:45:01'),(630,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:50:01','2024-05-01 16:50:01'),(631,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:50:03','2024-05-01 16:50:03'),(632,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:50:04','2024-05-01 16:50:04'),(633,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:50:06','2024-05-01 16:50:06'),(634,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:50:15','2024-05-01 16:50:15'),(635,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:50:19','2024-05-01 16:50:19'),(636,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405141','2024-05-01 16:51:22','2024-05-01 16:51:22'),(637,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','walk-in guest','2024-05-01 16:53:38','2024-05-01 16:53:38'),(638,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405142','2024-05-01 16:53:49','2024-05-01 16:53:49'),(639,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405142','2024-05-01 16:55:01','2024-05-01 16:55:01'),(640,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405142','2024-05-01 16:55:03','2024-05-01 16:55:03'),(641,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405142','2024-05-01 16:55:23','2024-05-01 16:55:23'),(642,4,'Tax settings updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-05-01 16:58:56','2024-05-01 16:58:56'),(643,4,'Tax settings updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145',NULL,'2024-05-01 17:05:54','2024-05-01 17:05:54'),(644,4,'New sale order created successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:06:58','2024-05-01 17:06:58'),(645,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:29','2024-05-01 17:07:29'),(646,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:32','2024-05-01 17:07:32'),(647,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:34','2024-05-01 17:07:34'),(648,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:36','2024-05-01 17:07:36'),(649,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:37','2024-05-01 17:07:37'),(650,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:39','2024-05-01 17:07:39'),(651,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:46','2024-05-01 17:07:46'),(652,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:47','2024-05-01 17:07:47'),(653,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:07:49','2024-05-01 17:07:49'),(654,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:09:07','2024-05-01 17:09:07'),(655,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:09:09','2024-05-01 17:09:09'),(656,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:09:10','2024-05-01 17:09:10'),(657,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:09:12','2024-05-01 17:09:12'),(658,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:09:13','2024-05-01 17:09:13'),(659,4,'Order checkout successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.8.145','202405143','2024-05-01 17:09:58','2024-05-01 17:09:58'),(660,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Customer','2024-05-01 17:12:26','2024-05-01 17:12:26'),(661,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405144','2024-05-01 17:12:38','2024-05-01 17:12:38'),(662,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','out gest','2024-05-01 17:33:51','2024-05-01 17:33:51'),(663,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405145','2024-05-01 18:16:10','2024-05-01 18:16:10'),(664,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405145','2024-05-01 18:49:03','2024-05-01 18:49:03'),(665,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-05-01 19:11:21','2024-05-01 19:11:21'),(666,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-01 19:11:31','2024-05-01 19:11:31'),(667,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405145','2024-05-01 19:23:28','2024-05-01 19:23:28'),(668,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405145','2024-05-01 19:54:31','2024-05-01 19:54:31'),(669,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405145','2024-05-01 20:35:08','2024-05-01 20:35:08'),(670,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405145','2024-05-01 20:36:35','2024-05-01 20:36:35'),(671,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-02 16:34:05','2024-05-02 16:34:05'),(672,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-02 16:34:23','2024-05-02 16:34:23'),(673,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Customer','2024-05-03 12:53:24','2024-05-03 12:53:24'),(674,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','walking guests','2024-05-03 12:54:00','2024-05-03 12:54:00'),(675,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405147','2024-05-03 12:54:28','2024-05-03 12:54:28'),(676,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405147','2024-05-03 13:28:48','2024-05-03 13:28:48'),(677,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405147','2024-05-03 13:29:12','2024-05-03 13:29:12'),(678,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405147','2024-05-03 13:29:39','2024-05-03 13:29:39'),(679,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405147','2024-05-03 13:30:19','2024-05-03 13:30:19'),(680,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 14:13:55','2024-05-03 14:13:55'),(681,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 14:14:52','2024-05-03 14:14:52'),(682,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405149','2024-05-03 14:20:44','2024-05-03 14:20:44'),(683,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405149','2024-05-03 14:23:38','2024-05-03 14:23:38'),(684,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 14:24:47','2024-05-03 14:24:47'),(685,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405149','2024-05-03 14:27:06','2024-05-03 14:27:06'),(686,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Customer','2024-05-03 14:41:47','2024-05-03 14:41:47'),(687,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405150','2024-05-03 14:41:59','2024-05-03 14:41:59'),(688,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405144','2024-05-03 14:48:14','2024-05-03 14:48:14'),(689,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-03 14:48:35','2024-05-03 14:48:35'),(690,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-03 14:48:38','2024-05-03 14:48:38'),(691,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-03 14:48:40','2024-05-03 14:48:40'),(692,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 14:48:52','2024-05-03 14:48:52'),(693,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 14:48:54','2024-05-03 14:48:54'),(694,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 14:48:56','2024-05-03 14:48:56'),(695,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 14:49:00','2024-05-03 14:49:00'),(696,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 14:49:02','2024-05-03 14:49:02'),(697,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405149','2024-05-03 14:49:37','2024-05-03 14:49:37'),(698,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405150','2024-05-03 14:49:43','2024-05-03 14:49:43'),(699,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405150','2024-05-03 14:49:45','2024-05-03 14:49:45'),(700,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405150','2024-05-03 14:49:46','2024-05-03 14:49:46'),(701,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-03 14:50:28','2024-05-03 14:50:28'),(702,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-03 14:50:35','2024-05-03 14:50:35'),(703,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-03 14:50:36','2024-05-03 14:50:36'),(704,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405150','2024-05-03 14:51:03','2024-05-03 14:51:03'),(705,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:53:55','2024-05-03 14:53:55'),(706,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:54:24','2024-05-03 14:54:24'),(707,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:54:31','2024-05-03 14:54:31'),(708,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:54:41','2024-05-03 14:54:41'),(709,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:54:43','2024-05-03 14:54:43'),(710,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:54:47','2024-05-03 14:54:47'),(711,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:54:49','2024-05-03 14:54:49'),(712,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:55:39','2024-05-03 14:55:39'),(713,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:55:40','2024-05-03 14:55:40'),(714,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:55:58','2024-05-03 14:55:58'),(715,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405151','2024-05-03 14:58:04','2024-05-03 14:58:04'),(716,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','mathayo','2024-05-03 15:04:31','2024-05-03 15:04:31'),(717,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','stella','2024-05-03 15:05:31','2024-05-03 15:05:31'),(718,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:05:59','2024-05-03 15:05:59'),(719,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:06:54','2024-05-03 15:06:54'),(720,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:06:56','2024-05-03 15:06:56'),(721,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:07:31','2024-05-03 15:07:31'),(722,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:07:33','2024-05-03 15:07:33'),(723,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:07:36','2024-05-03 15:07:36'),(724,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:08:34','2024-05-03 15:08:34'),(725,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405149','2024-05-03 15:08:46','2024-05-03 15:08:46'),(726,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405146','2024-05-03 15:09:58','2024-05-03 15:09:58'),(727,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405148','2024-05-03 15:11:23','2024-05-03 15:11:23'),(728,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405144','2024-05-03 15:12:00','2024-05-03 15:12:00'),(729,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:15:55','2024-05-03 15:15:55'),(730,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:15:57','2024-05-03 15:15:57'),(731,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:16:01','2024-05-03 15:16:01'),(732,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405152','2024-05-03 15:17:02','2024-05-03 15:17:02'),(733,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-05-03 15:20:26','2024-05-03 15:20:26'),(734,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:20:38','2024-05-03 15:20:38'),(735,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:20:50','2024-05-03 15:20:50'),(736,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:22:33','2024-05-03 15:22:33'),(737,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:22:47','2024-05-03 15:22:47'),(738,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:24:03','2024-05-03 15:24:03'),(739,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:25:14','2024-05-03 15:25:14'),(740,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:26:23','2024-05-03 15:26:23'),(741,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:27:25','2024-05-03 15:27:25'),(742,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:27:26','2024-05-03 15:27:26'),(743,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:27:27','2024-05-03 15:27:27'),(744,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405153','2024-05-03 15:27:50','2024-05-03 15:27:50'),(745,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-05-03 15:46:02','2024-05-03 15:46:02'),(746,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-05-03 15:46:43','2024-05-03 15:46:43'),(747,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 15:46:52','2024-05-03 15:46:52'),(748,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 15:47:05','2024-05-03 15:47:05'),(749,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 15:47:07','2024-05-03 15:47:07'),(750,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 15:58:29','2024-05-03 15:58:29'),(751,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 15:58:44','2024-05-03 15:58:44'),(752,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 16:12:23','2024-05-03 16:12:23'),(753,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 16:12:47','2024-05-03 16:12:47'),(754,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 16:14:23','2024-05-03 16:14:23'),(755,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','rama','2024-05-03 16:15:18','2024-05-03 16:15:18'),(756,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405155','2024-05-03 16:15:43','2024-05-03 16:15:43'),(757,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405155','2024-05-03 16:16:03','2024-05-03 16:16:03'),(758,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405155','2024-05-03 16:17:15','2024-05-03 16:17:15'),(759,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405155','2024-05-03 16:17:41','2024-05-03 16:17:41'),(760,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405154','2024-05-03 16:21:30','2024-05-03 16:21:30'),(761,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-05-03 16:23:21','2024-05-03 16:23:21'),(762,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405156','2024-05-03 16:23:29','2024-05-03 16:23:29'),(763,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405156','2024-05-03 16:23:39','2024-05-03 16:23:39'),(764,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405156','2024-05-03 16:23:40','2024-05-03 16:23:40'),(765,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405156','2024-05-03 16:24:46','2024-05-03 16:24:46'),(766,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405156','2024-05-03 16:25:31','2024-05-03 16:25:31'),(767,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405156','2024-05-03 18:19:41','2024-05-03 18:19:41'),(768,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-05-04 11:49:23','2024-05-04 11:49:23'),(769,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-05-04 11:49:58','2024-05-04 11:49:58'),(770,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405157','2024-05-04 11:50:16','2024-05-04 11:50:16'),(771,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405157','2024-05-04 11:51:58','2024-05-04 11:51:58'),(772,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405157','2024-05-04 11:52:03','2024-05-04 11:52:03'),(773,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405157','2024-05-04 11:52:54','2024-05-04 11:52:54'),(774,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Customer','2024-05-04 11:56:19','2024-05-04 11:56:19'),(775,1,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405158','2024-05-04 13:37:49','2024-05-04 13:37:49'),(776,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405158','2024-05-04 13:38:02','2024-05-04 13:38:02'),(777,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405158','2024-05-04 13:38:04','2024-05-04 13:38:04'),(778,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405158','2024-05-04 13:38:06','2024-05-04 13:38:06'),(779,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405158','2024-05-04 13:38:08','2024-05-04 13:38:08'),(780,1,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405158','2024-05-04 13:38:26','2024-05-04 13:38:26'),(781,1,'Printing settings updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-04 13:41:27','2024-05-04 13:41:27'),(782,1,'Tax settings updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-04 13:43:43','2024-05-04 13:43:43'),(783,4,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405159','2024-05-04 13:46:31','2024-05-04 13:46:31'),(784,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405159','2024-05-04 13:47:14','2024-05-04 13:47:14'),(785,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405159','2024-05-04 13:47:16','2024-05-04 13:47:16'),(786,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405159','2024-05-04 13:47:17','2024-05-04 13:47:17'),(787,1,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405160','2024-05-04 13:51:23','2024-05-04 13:51:23'),(788,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405159','2024-05-04 13:53:34','2024-05-04 13:53:34'),(789,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405159','2024-05-04 13:53:36','2024-05-04 13:53:36'),(790,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405159','2024-05-04 13:53:37','2024-05-04 13:53:37'),(791,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405160','2024-05-04 13:53:40','2024-05-04 13:53:40'),(792,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405160','2024-05-04 13:53:42','2024-05-04 13:53:42'),(793,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405160','2024-05-04 13:53:44','2024-05-04 13:53:44'),(794,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405160','2024-05-04 13:53:45','2024-05-04 13:53:45'),(795,1,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405160','2024-05-04 13:53:47','2024-05-04 13:53:47'),(796,4,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405160','2024-05-04 13:54:14','2024-05-04 13:54:14'),(797,1,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405159','2024-05-04 13:54:43','2024-05-04 13:54:43'),(798,1,'Tax settings updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-05-04 14:06:52','2024-05-04 14:06:52'),(799,4,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:11:02','2024-05-04 14:11:02'),(800,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:11:49','2024-05-04 14:11:49'),(801,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:11:52','2024-05-04 14:11:52'),(802,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:11:54','2024-05-04 14:11:54'),(803,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:11:56','2024-05-04 14:11:56'),(804,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:12:00','2024-05-04 14:12:00'),(805,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:15:13','2024-05-04 14:15:13'),(806,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:15:23','2024-05-04 14:15:23'),(807,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:15:25','2024-05-04 14:15:25'),(808,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405161','2024-05-04 14:15:59','2024-05-04 14:15:59'),(809,4,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405162','2024-05-04 14:24:03','2024-05-04 14:24:03'),(810,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405162','2024-05-04 14:24:34','2024-05-04 14:24:34'),(811,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405162','2024-05-04 14:24:46','2024-05-04 14:24:46'),(812,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405162','2024-05-04 14:24:48','2024-05-04 14:24:48'),(813,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405162','2024-05-04 14:24:53','2024-05-04 14:24:53'),(814,4,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405162','2024-05-04 14:24:55','2024-05-04 14:24:55'),(815,4,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405162','2024-05-04 14:25:25','2024-05-04 14:25:25'),(816,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405163','2024-05-04 14:34:19','2024-05-04 14:34:19'),(817,4,'New sale order created successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405164','2024-05-04 14:40:25','2024-05-04 14:40:25'),(818,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405164','2024-05-04 14:40:36','2024-05-04 14:40:36'),(819,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405164','2024-05-04 14:40:39','2024-05-04 14:40:39'),(820,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405164','2024-05-04 14:40:40','2024-05-04 14:40:40'),(821,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405164','2024-05-04 14:40:41','2024-05-04 14:40:41'),(822,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405164','2024-05-04 14:40:43','2024-05-04 14:40:43'),(823,4,'Order checkout successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405164','2024-05-04 14:41:49','2024-05-04 14:41:49'),(824,4,'User removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Bar Admin','2024-05-04 14:53:52','2024-05-04 14:53:52'),(825,4,'User removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Harry','2024-05-04 14:54:21','2024-05-04 14:54:21'),(826,4,'User removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Jon doe','2024-05-04 14:54:29','2024-05-04 14:54:29'),(827,4,'User updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Jon doe','2024-05-04 14:54:33','2024-05-04 14:54:33'),(828,4,'User removed successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Jon doe','2024-05-04 14:54:36','2024-05-04 14:54:36'),(829,4,'User updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Kitchen','2024-05-04 14:55:00','2024-05-04 14:55:00'),(830,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405163','2024-05-04 14:55:45','2024-05-04 14:55:45'),(831,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405163','2024-05-04 14:55:48','2024-05-04 14:55:48'),(832,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405163','2024-05-04 14:55:51','2024-05-04 14:55:51'),(833,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405165','2024-05-04 15:12:14','2024-05-04 15:12:14'),(834,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405166','2024-05-04 15:15:04','2024-05-04 15:15:04'),(835,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405165','2024-05-04 15:53:58','2024-05-04 15:53:58'),(836,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405165','2024-05-04 15:54:00','2024-05-04 15:54:00'),(837,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405166','2024-05-04 15:54:05','2024-05-04 15:54:05'),(838,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405166','2024-05-04 15:54:06','2024-05-04 15:54:06'),(839,4,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405163','2024-05-04 15:55:25','2024-05-04 15:55:25'),(840,4,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405166','2024-05-04 15:57:07','2024-05-04 15:57:07'),(841,4,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405165','2024-05-04 16:01:25','2024-05-04 16:01:25'),(842,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','marry','2024-05-04 17:02:50','2024-05-04 17:02:50'),(843,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:03:01','2024-05-04 17:03:01'),(844,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:13:24','2024-05-04 17:13:24'),(845,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:13:27','2024-05-04 17:13:27'),(846,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:13:28','2024-05-04 17:13:28'),(847,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:13:33','2024-05-04 17:13:33'),(848,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:13:34','2024-05-04 17:13:34'),(849,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:13:36','2024-05-04 17:13:36'),(850,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:13:39','2024-05-04 17:13:39'),(851,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-04 17:16:43','2024-05-04 17:16:43'),(852,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Custome','2024-05-04 17:18:46','2024-05-04 17:18:46'),(853,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Custome','2024-05-04 17:18:58','2024-05-04 17:18:58'),(854,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Lucas','2024-05-04 17:20:13','2024-05-04 17:20:13'),(855,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405168','2024-05-04 17:20:26','2024-05-04 17:20:26'),(856,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405168','2024-05-04 17:20:47','2024-05-04 17:20:47'),(857,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405168','2024-05-04 17:20:49','2024-05-04 17:20:49'),(858,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405168','2024-05-04 17:20:52','2024-05-04 17:20:52'),(859,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405168','2024-05-04 17:20:56','2024-05-04 17:20:56'),(860,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405168','2024-05-04 17:22:13','2024-05-04 17:22:13'),(861,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405168','2024-05-04 17:23:13','2024-05-04 17:23:13'),(862,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','mathayo','2024-05-04 17:24:45','2024-05-04 17:24:45'),(863,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Custome','2024-05-04 17:26:29','2024-05-04 17:26:29'),(864,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','letticia','2024-05-04 17:27:53','2024-05-04 17:27:53'),(865,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405169','2024-05-04 17:28:08','2024-05-04 17:28:08'),(866,7,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405169','2024-05-05 12:49:44','2024-05-05 12:49:44'),(867,7,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405169','2024-05-05 12:49:51','2024-05-05 12:49:51'),(868,7,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405169','2024-05-05 12:49:53','2024-05-05 12:49:53'),(869,7,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405169','2024-05-05 12:53:25','2024-05-05 12:53:25'),(870,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405170','2024-05-05 12:58:40','2024-05-05 12:58:40'),(871,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405170','2024-05-05 13:00:21','2024-05-05 13:00:21'),(872,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405171','2024-05-05 13:01:56','2024-05-05 13:01:56'),(873,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405172','2024-05-05 13:02:40','2024-05-05 13:02:40'),(874,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405173','2024-05-05 13:02:59','2024-05-05 13:02:59'),(875,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405171','2024-05-05 13:03:47','2024-05-05 13:03:47'),(876,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405173','2024-05-05 13:03:55','2024-05-05 13:03:55'),(877,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405172','2024-05-05 13:04:02','2024-05-05 13:04:02'),(878,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405173','2024-05-05 13:04:08','2024-05-05 13:04:08'),(879,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405173','2024-05-05 13:04:12','2024-05-05 13:04:12'),(880,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405173','2024-05-05 13:04:18','2024-05-05 13:04:18'),(881,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405172','2024-05-05 13:04:25','2024-05-05 13:04:25'),(882,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405172','2024-05-05 13:04:28','2024-05-05 13:04:28'),(883,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405172','2024-05-05 13:04:31','2024-05-05 13:04:31'),(884,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405171','2024-05-05 13:04:38','2024-05-05 13:04:38'),(885,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405171','2024-05-05 13:04:40','2024-05-05 13:04:40'),(886,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405170','2024-05-05 13:05:14','2024-05-05 13:05:14'),(887,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405170','2024-05-05 13:05:16','2024-05-05 13:05:16'),(888,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405171','2024-05-05 13:05:20','2024-05-05 13:05:20'),(889,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405171','2024-05-05 13:05:22','2024-05-05 13:05:22'),(890,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405174','2024-05-11 13:05:48','2024-05-11 13:05:48'),(891,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405174','2024-05-11 13:06:21','2024-05-11 13:06:21'),(892,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405174','2024-05-11 13:06:23','2024-05-11 13:06:23'),(893,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405174','2024-05-11 13:06:54','2024-05-11 13:06:54'),(894,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405173','2024-05-11 13:07:39','2024-05-11 13:07:39'),(895,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405167','2024-05-11 13:08:14','2024-05-11 13:08:14'),(896,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405172','2024-05-11 13:08:42','2024-05-11 13:08:42'),(897,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405171','2024-05-11 13:09:10','2024-05-11 13:09:10'),(898,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405170','2024-05-11 13:09:36','2024-05-11 13:09:36'),(899,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405169','2024-05-11 13:09:54','2024-05-11 13:09:54'),(900,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405168','2024-05-11 13:10:54','2024-05-11 13:10:54'),(901,9,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405175','2024-05-11 13:57:50','2024-05-11 13:57:50'),(902,9,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405175','2024-05-11 13:58:54','2024-05-11 13:58:54'),(903,9,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405175','2024-05-11 13:58:58','2024-05-11 13:58:58'),(904,9,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405175','2024-05-11 13:59:21','2024-05-11 13:59:21'),(905,9,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 16:10:51','2024-05-11 16:10:51'),(906,9,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 16:19:51','2024-05-11 16:19:51'),(907,9,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 16:48:29','2024-05-11 16:48:29'),(908,9,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 17:22:42','2024-05-11 17:22:42'),(909,9,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:04:40','2024-05-11 18:04:40'),(910,9,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:04:55','2024-05-11 18:04:55'),(911,9,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:05:05','2024-05-11 18:05:05'),(912,9,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:05:24','2024-05-11 18:05:24'),(913,9,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:05:27','2024-05-11 18:05:27'),(914,9,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:05:29','2024-05-11 18:05:29'),(915,9,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:05:31','2024-05-11 18:05:31'),(916,9,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:05:33','2024-05-11 18:05:33'),(917,9,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202405176','2024-05-11 18:06:01','2024-05-11 18:06:01'),(918,1,'New sale order created successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','103.26.82.70','2024061','2024-06-01 17:34:49','2024-06-01 17:34:49'),(919,1,'New sale order created successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','103.26.82.70','202406178','2024-06-01 17:37:45','2024-06-01 17:37:45'),(920,1,'Order information updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','103.26.82.70','2024061','2024-06-01 17:37:53','2024-06-01 17:37:53'),(921,1,'Order information updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','103.26.82.70','2024061','2024-06-01 17:37:54','2024-06-01 17:37:54'),(922,1,'Order information updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','103.26.82.70','2024061','2024-06-01 17:37:57','2024-06-01 17:37:57'),(923,1,'Order information updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','103.26.82.70','202406178','2024-06-01 17:38:00','2024-06-01 17:38:00'),(924,1,'Order information updated successfully','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','103.26.82.70','202406178','2024-06-01 17:38:02','2024-06-01 17:38:02'),(925,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Customer','2024-06-01 17:44:14','2024-06-01 17:44:14'),(926,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406179','2024-06-01 17:44:27','2024-06-01 17:44:27'),(927,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','2024061','2024-06-01 17:44:43','2024-06-01 17:44:43'),(928,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','2024061','2024-06-01 17:44:44','2024-06-01 17:44:44'),(929,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406178','2024-06-01 17:44:49','2024-06-01 17:44:49'),(930,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','2024061','2024-06-01 17:45:34','2024-06-01 17:45:34'),(931,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','WG','2024-06-01 17:55:29','2024-06-01 17:55:29'),(932,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406180','2024-06-01 17:55:39','2024-06-01 17:55:39'),(933,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406180','2024-06-01 17:55:57','2024-06-01 17:55:57'),(934,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406180','2024-06-01 17:56:36','2024-06-01 17:56:36'),(935,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406180','2024-06-01 17:57:07','2024-06-01 17:57:07'),(936,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Savio&Julia','2024-06-01 17:59:52','2024-06-01 17:59:52'),(937,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406181','2024-06-01 18:00:01','2024-06-01 18:00:01'),(938,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406181','2024-06-01 18:00:19','2024-06-01 18:00:19'),(939,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406178','2024-06-01 18:01:30','2024-06-01 18:01:30'),(940,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406181','2024-06-01 18:03:17','2024-06-01 18:03:17'),(941,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:06:39','2024-06-01 18:06:39'),(942,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406182','2024-06-01 18:08:14','2024-06-01 18:08:14'),(943,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:08:23','2024-06-01 18:08:23'),(944,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406178','2024-06-01 18:08:31','2024-06-01 18:08:31'),(945,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:09:47','2024-06-01 18:09:47'),(946,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406178','2024-06-01 18:09:49','2024-06-01 18:09:49'),(947,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:09:54','2024-06-01 18:09:54'),(948,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406179','2024-06-01 18:10:01','2024-06-01 18:10:01'),(949,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406182','2024-06-01 18:10:07','2024-06-01 18:10:07'),(950,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:10:36','2024-06-01 18:10:36'),(951,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:11:11','2024-06-01 18:11:11'),(952,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:11:27','2024-06-01 18:11:27'),(953,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:12:04','2024-06-01 18:12:04'),(954,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:12:12','2024-06-01 18:12:12'),(955,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:12:32','2024-06-01 18:12:32'),(956,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:13:03','2024-06-01 18:13:03'),(957,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:14:02','2024-06-01 18:14:02'),(958,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:14:48','2024-06-01 18:14:48'),(959,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:15:26','2024-06-01 18:15:26'),(960,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:15:57','2024-06-01 18:15:57'),(961,12,'Food item updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:16:20','2024-06-01 18:16:20'),(962,12,'New food item added successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.12.10',NULL,'2024-06-01 18:16:56','2024-06-01 18:16:56'),(963,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406183','2024-06-01 18:23:29','2024-06-01 18:23:29'),(964,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406182','2024-06-01 18:23:43','2024-06-01 18:23:43'),(965,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406183','2024-06-01 18:24:02','2024-06-01 18:24:02'),(966,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406183','2024-06-01 18:34:17','2024-06-01 18:34:17'),(967,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406183','2024-06-01 18:34:19','2024-06-01 18:34:19'),(968,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406183','2024-06-01 18:35:00','2024-06-01 18:35:00'),(969,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406179','2024-06-01 18:35:52','2024-06-01 18:35:52'),(970,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406182','2024-06-01 18:36:26','2024-06-01 18:36:26'),(971,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406178','2024-06-01 18:39:32','2024-06-01 18:39:32'),(972,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Walking Customer','2024-06-01 18:56:01','2024-06-01 18:56:01'),(973,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-06-01 18:56:40','2024-06-01 18:56:40'),(974,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 18:57:50','2024-06-01 18:57:50'),(975,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 19:20:58','2024-06-01 19:20:58'),(976,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Mahoumoud','2024-06-01 19:43:42','2024-06-01 19:43:42'),(977,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 19:43:53','2024-06-01 19:43:53'),(978,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 19:53:05','2024-06-01 19:53:05'),(979,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-06-01 19:54:12','2024-06-01 19:54:12'),(980,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 19:54:26','2024-06-01 19:54:26'),(981,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Mahmoud','2024-06-01 19:55:34','2024-06-01 19:55:34'),(982,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Mahmoud','2024-06-01 19:55:38','2024-06-01 19:55:38'),(983,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-06-01 19:58:22','2024-06-01 19:58:22'),(984,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 19:58:36','2024-06-01 19:58:36'),(985,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Mahmoud','2024-06-01 19:59:56','2024-06-01 19:59:56'),(986,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 19:59:59','2024-06-01 19:59:59'),(987,8,'Customer information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','savio','2024-06-01 20:00:31','2024-06-01 20:00:31'),(988,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 20:04:56','2024-06-01 20:04:56'),(989,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 20:05:02','2024-06-01 20:05:02'),(990,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 20:05:05','2024-06-01 20:05:05'),(991,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Mahmoud','2024-06-01 20:09:58','2024-06-01 20:09:58'),(992,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 20:10:02','2024-06-01 20:10:02'),(993,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 20:12:21','2024-06-01 20:12:21'),(994,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 20:17:29','2024-06-01 20:17:29'),(995,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 20:34:53','2024-06-01 20:34:53'),(996,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 20:35:00','2024-06-01 20:35:00'),(997,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 20:35:02','2024-06-01 20:35:02'),(998,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 20:35:05','2024-06-01 20:35:05'),(999,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Klaudie&Eric','2024-06-01 20:42:37','2024-06-01 20:42:37'),(1000,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406186','2024-06-01 20:42:56','2024-06-01 20:42:56'),(1001,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406186','2024-06-01 21:00:14','2024-06-01 21:00:14'),(1002,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406186','2024-06-01 21:00:19','2024-06-01 21:00:19'),(1003,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406186','2024-06-01 21:00:21','2024-06-01 21:00:21'),(1004,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Klaudia&Eric','2024-06-01 21:25:34','2024-06-01 21:25:34'),(1005,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 21:34:13','2024-06-01 21:34:13'),(1006,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 21:34:35','2024-06-01 21:34:35'),(1007,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406186','2024-06-01 21:36:24','2024-06-01 21:36:24'),(1008,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 21:41:11','2024-06-01 21:41:11'),(1009,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 21:41:13','2024-06-01 21:41:13'),(1010,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 21:41:15','2024-06-01 21:41:15'),(1011,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406186','2024-06-01 21:41:20','2024-06-01 21:41:20'),(1012,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406186','2024-06-01 21:41:22','2024-06-01 21:41:22'),(1013,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406184','2024-06-01 21:42:28','2024-06-01 21:42:28'),(1014,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Klaudia&Eric','2024-06-01 21:44:12','2024-06-01 21:44:12'),(1015,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406186','2024-06-01 21:46:22','2024-06-01 21:46:22'),(1016,8,'New customer created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','Klaudia&Eric','2024-06-01 21:48:11','2024-06-01 21:48:11'),(1017,8,'New sale order created successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406187','2024-06-01 21:49:22','2024-06-01 21:49:22'),(1018,8,'Order information updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406187','2024-06-01 21:49:48','2024-06-01 21:49:48'),(1019,8,'Sale order updated successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 21:50:43','2024-06-01 21:50:43'),(1020,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406185','2024-06-01 21:52:03','2024-06-01 21:52:03'),(1021,8,'Order checkout successfully','Mozilla/5.0 (Linux; Android 10; K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36','154.127.12.10','202406187','2024-06-01 21:53:08','2024-06-01 21:53:08'),(1022,4,'New customer created successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','Test 01','2024-06-02 08:16:36','2024-06-02 08:16:36'),(1023,4,'New sale order created successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406188','2024-06-02 08:16:49','2024-06-02 08:16:49'),(1024,4,'New customer created successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','Test 2','2024-06-02 08:17:13','2024-06-02 08:17:13'),(1025,4,'New sale order created successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406189','2024-06-02 08:17:23','2024-06-02 08:17:23'),(1026,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406188','2024-06-02 08:24:45','2024-06-02 08:24:45'),(1027,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406189','2024-06-02 08:24:49','2024-06-02 08:24:49'),(1028,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406188','2024-06-02 08:24:52','2024-06-02 08:24:52'),(1029,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406188','2024-06-02 08:24:53','2024-06-02 08:24:53'),(1030,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406189','2024-06-02 08:24:56','2024-06-02 08:24:56'),(1031,4,'Order information updated successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406189','2024-06-02 08:24:58','2024-06-02 08:24:58'),(1032,4,'Order checkout successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406189','2024-06-02 08:25:23','2024-06-02 08:25:23'),(1033,4,'Order checkout successfully','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36','154.127.8.145','202406188','2024-06-02 08:25:42','2024-06-02 08:25:42');
/*!40000 ALTER TABLE `user_activity_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_roles`
--

DROP TABLE IF EXISTS `user_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_primary` tinyint(1) NOT NULL DEFAULT '0',
  `permissions` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_roles`
--

LOCK TABLES `user_roles` WRITE;
/*!40000 ALTER TABLE `user_roles` DISABLE KEYS */;
INSERT INTO `user_roles` VALUES (1,'Admin',1,'[]','2024-03-19 20:13:52','2024-03-19 20:13:52'),(2,'Order taker',0,'[\"pos_portal\"]','2024-03-19 20:13:52','2024-03-19 20:13:52'),(3,'Chef',0,'[\"kitchen_portal\"]','2024-03-19 20:13:52','2024-03-19 20:13:52'),(4,'Biller',0,'[\"pos_portal\",\"order_checkout\"]','2024-03-19 20:13:52','2024-03-19 20:13:52'),(5,'Manager',0,'[\"dashboard_access\",\"overall_report\",\"tax_report\",\"expense_report\",\"stock_alerts\",\"manage_sales\",\"remove_sales\",\"pos_portal\",\"order_checkout\",\"kitchen_portal\",\"manage_food_categories\",\"manage_food_items\",\"manage_modifiers\",\"manage_ingredients\",\"import_exports\",\"manage_service_tables\",\"manage_payment_methods\"]','2024-03-19 20:13:52','2024-03-20 09:36:38'),(6,'Bar',0,'[\"kitchen_portal\",\"pos_portal\",\"order_checkout\"]','2024-03-20 09:38:33','2024-03-20 09:38:33');
/*!40000 ALTER TABLE `user_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci,
  `avatar` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `role_id` bigint unsigned NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  KEY `users_role_id_foreign` (`role_id`),
  CONSTRAINT `users_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `user_roles` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'Rose Finch','admin@admin.com',NULL,NULL,NULL,'$2y$10$U03QQ8ExZbTuFQLJ921NQeLg4dz4TZMZB9W6thCgDubcO0dyHz/Zy',NULL,1,1,NULL,'2024-03-19 20:13:52','2024-03-19 20:13:52'),(3,'Jon doe','chef@app.com',NULL,NULL,NULL,'$2y$10$u3DF9zSN2Ry/BsbccfON3.TvImc5oapOLm3o7TPhz4/a.mvzWzUaK',NULL,1,3,NULL,'2024-03-19 20:13:52','2024-05-04 14:54:33'),(4,'Augustine Rutasingwa','operations@zanziholics.com',NULL,NULL,NULL,'$2y$10$m.xFPVL1YWoD38WhPjDQfuTsO.x8Op5K5UwPYlmRonaPGaxP.h6DO',NULL,1,1,NULL,'2024-03-19 21:58:21','2024-03-19 21:58:21'),(6,'Order','order@saverabeach.com',NULL,NULL,NULL,'$2y$10$u.mawIv0iClq/M7GTzP.tO32nopp9aN2SEPfmQp4Oj2lwFTQ7LZH2',NULL,1,2,NULL,'2024-03-20 09:42:14','2024-03-20 09:42:14'),(7,'Kitchen','kitchen@saverabeach.com',NULL,NULL,NULL,'$2y$10$4rIgz68nHLLiTRANMPZJ8.JNcyj8VqtUdukrr3OtyjAZ3JNKnIpPW',NULL,1,3,NULL,'2024-03-20 09:43:04','2024-05-04 14:55:00'),(8,'Bar Admin','bar@saverabeach.com',NULL,NULL,NULL,'$2y$10$2oWK8cBBUYOH2BD35fOBTujwUYpbQGIyaFG3hg0XyoeJHru8ZAM2q',NULL,1,6,NULL,'2024-03-20 09:45:02','2024-03-20 09:45:02'),(9,'Ana','ana@saverabeach.com',NULL,NULL,NULL,'$2y$10$p/fs0vP1EDdaWiGKtIQ0tOBMak2WDbgQNe3Kj/erdG4YfcT7lNZR6',NULL,1,5,NULL,'2024-03-20 09:46:50','2024-03-20 09:46:50'),(10,'Deo','deo@saverabeach.com',NULL,NULL,NULL,'$2y$10$p0CTF0C3TazR/gU5a0oKyumnnZxsWZ.Dqh43Q2bAXPLAvwkLZ98Km',NULL,1,5,NULL,'2024-03-20 09:47:20','2024-03-20 09:47:20'),(12,'Savio Savera','info@saverabeach.com',NULL,NULL,NULL,'$2y$10$6nSyShYFv9lFHno5j/RYx.KAI7yLk8572Qs3sUw9eBAg3fv19fFOy',NULL,1,1,NULL,'2024-04-27 16:00:34','2024-04-27 16:00:34');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-06-02  7:22:18
